<?php

    $tmp = dirname( __FILE__ );
    define( 'KROOT', $tmp );

    // if true = Elastix 2.3 or higher
    define( 'IS_ELASTIX', KROOT == '/var/www/html/modules/khomp' );

    if( IS_ELASTIX )
    {
        $tmp = realpath( "{$tmp}/.." );
        define( 'KCONFIG', "{$tmp}/kconfig" );
        define( 'KMONITOR', "{$tmp}/kmonitor" );
        define( 'KDIAGNOSTIC', "{$tmp}/kdiagnostic" );
        define( 'IS_GATEWAY', false );
    }
    else
    {
        define( 'KCONFIG', "{$tmp}/KWebConfig" );
        define( 'KMONITOR', "{$tmp}/KWebMonitor" );
        define( 'KDIAGNOSTIC', "{$tmp}/KWebLogViewer" );
        define( 'IS_GATEWAY', is_file( '/usr/sbin/kgateway' ) );
    }
    unset( $tmp );
