function updateData( justRefresh, module )
{
    switch (module)
    {
        case 'Devices':
            updateDataDevices( justRefresh );
            break;
        case 'Links':
            updateDataLinks( justRefresh );
            break;
        case 'Channels':
            updateDataChannels( justRefresh );
            break;
        case 'Services':
            updateDataServices( justRefresh );
            break;
    }
}

function getRefreshDelay( module )
{
    jQuery.kajax(
    {
        data : "ajaxTo=getRefreshDelay",
        url : GLOBALAjaxURL,
        dataType : "html",
        success : function( resp )
        {
            responseText = resp.replace( /[\r\n]+/g, "" );
            if( parseInt( responseText ) > 0 )
            {
                switch (responseText)
                {
                    case '0':
                        var index = '0';
                        break;
                    case '1':
                        var index = '1';
                        break;
                    case '5':
                        var index = '2';
                        break;
                    case '30':
                        var index = '3';
                        break;
                }
                document.getElementById( 'refreshDelay' ).selectedIndex = index;
                setRefreshDelay( responseText, module );
            }
        }
    } );
}

function setRefreshDelay( delay, module )
{
    jQuery.kajax(
    {
        data : "ajaxTo=setRefreshDelay&delay=" + delay,
        url : GLOBALAjaxURL,
        dataType : "text",
        type : "POST",
        success : function( resp )
        {
            resp = resp.replace( /[\r\n]+/g, "" );
            if( parseInt( resp ) > 0 )
            {
                document.getElementById( "ctrlMonitoracao" ).value = "1";
                $( '#monitoring-on' ).show( );
                $( '#monitoring-off' ).hide( );
                updateData( false, module );
            }
            else
            {
                $( '#monitoring-on' ).hide( );
                $( '#monitoring-off' ).show( );
                document.getElementById( "ctrlMonitoracao" ).value = "0";
            }
        }
    } );
}

function hideDiv( )
{
    $( "#popup" ).hide( 'slow' );
}

function colorMe( id )
{
    $comp = $( '#' + id );
    if( $comp != null )
        $comp.removeClass( 'green-dark' ).addClass( 'green-light' );
}