function RunFirmwareUpdate( upd )
{
    $( '#refreshing' ).show( );
    jQuery.kajax(
    {
        url : GLOBALAjaxURL,
        data : "ajaxTo=runFirmwareUpdate&update=" + upd,
        dataType : "html",
        success : function( retorno )
        {
            $( '#refreshing' ).hide( );
            $( '#GeralField' ).html( retorno );
            startCountdownReset( );
        }
    } );
}

var g_iCount = new Number( );
var g_iCount = 60;

function startCountdownReset( )
{
    if( (g_iCount - 1) > 0 )
    {
        g_iCount = g_iCount - 1;
        $( '#time-slot' ).text( g_iCount );
        setTimeout( 'startCountdownReset()', 1000 );
    }
    else
        window.location = "/index.php";
}

function newNAP( )
{
    $( '#refreshing' ).show( );
    jQuery.kajax(
    {
        url : GLOBALAjaxURL,
        data : "ajaxTo=newNAP",
        dataType : "html",
        success : function( html )
        {
            $( '#refreshing' ).hide( );
            $( '#NAPsDivForm' ).html( html );
        }
    } );
}

function initNAPs( )
{
    $( '#NAPsTable' ).tablesorter(
    {
        cssAsc : 'tablesorter-asc',
        cssDesc : 'tablesorter-desc',
        cssHeader : 'tablesorter-undefined',
        headers :
        {
            3 :
            {
                sorter : false
            }
        },
        sortList : [[0, 0]]
    } );
}

function backNAPs( )
{
    $( '#refreshing' ).show( );
    jQuery.kajax(
    {
        url : GLOBALAjaxURL,
        data : "ajaxTo=showNAPsGW",
        dataType : "html",
        success : function( html )
        {
            $( '#formulario' ).html( html );
            initNAPs( );
            $( '#refreshing' ).hide( );
        }
    } );
}

function changeNAPType( )
{

    $( '#refreshing' ).show( );
    $.kajax(
    {
        url : GLOBALAjaxURL + "&ajaxTo=printNAPType",
        data :
        {
            'type' : $.trim( $( '#gateway-nap-type :selected' ).val( ) ),
            'name' : $.trim( $( '#gateway-nap-old-name' ).val( ) )
        },
        type : "POST",
        dataType : "html",
        success : function( html )
        {
            $( '#refreshing' ).hide( );
            $( '#gateway-nap' ).html( html );
            switch( $.trim( $( '#gateway-nap-type :selected' ).val( ) ) )
            {
                case 'Trunk':
                    $( '.gateway-nap-trunk-device select' ).change( function( ev )
                    {
                        if( $( this ).val( ) == 'partial' )
                        {
                            $( '#channels-' + $( this ).attr( 'name' ) ).show( );
                        }
                        else
                        {
                            $( '#channels-' + $( this ).attr( 'name' ) ).hide( );
                        }
                    } );
                    $( '.gateway-nap-trunk-device select' ).change( );
                    break;
                case 'SIP':
                    $( '#gateway-nap-sip-register' ).change( function( ev )
                    {
                        var disabled = ! $( this ).is( ':checked' );
                        $( '#gateway-nap-sip-username' ).prop( 'disabled', disabled );
                        $( '#gateway-nap-sip-authorization-user' ).prop( 'disabled', disabled );
                        $( '#gateway-nap-sip-password' ).prop( 'disabled', disabled );
                        $( '#gateway-nap-sip-expires' ).prop( 'disabled', disabled );
                        $( '#gateway-nap-sip-proxy' ).prop( 'disabled', disabled );
                        $( '#gateway-nap-sip-proxy-port' ).prop( 'disabled', disabled );
                    } );
                    $( '#gateway-nap-sip-domain-use-ip-packet-address' ).change( function( ev )
                    {
                        if( $( this ).is( ':checked' ) && !$( '#gateway-nap-sip-domain' ).val( ).isIpv4( ) )
                        {
                            ShowNotice( ajaxI18N( 'gateway-nap-error-sip-domain-should-be-ipv4' ), false );
                            $( this ).attr( 'checked', false );
                        }
                    } );
                    $( '#gateway-nap-sip-domain-port' ).mask( '9?9999' );
                    $( '#gateway-nap-sip-proxy-port' ).mask( '9?9999' );
                    $( '#gateway-nap-sip-expires' ).mask( '9?999999999' );
                    $( '#gateway-nap-sip-register' ).change( );
                    break;
            }
        }
    } );
}

function editNAP( NAPname )
{
    $( '#refreshing' ).show( );
    $.kajax(
    {
        url : GLOBALAjaxURL + "&ajaxTo=editNAP",
        data :
        {
            "name" : NAPname
        },
        type : 'POST',
        dataType : "html",
        success : function( html )
        {
            $( '#NAPsDivForm' ).html( html );
            changeNAPType( );
            $( '#refreshing' ).hide( );
        }
    } );
}

function removeNAP( name )
{
    if( ajaxConfirm( 'removeNAP' ) )
    {
        $( '#refreshing' ).show( );
        jQuery.kajax(
        {
            url : GLOBALAjaxURL + '&ajaxTo=removeNAP',
            data :
            {
                "name" : name
            },
            type : 'POST',
            dataType : "json",
            success : function( data )
            {
                if( data.success )
                {
                    ShowNotice( data.message, true );
                    backNAPs( );
                }
                else
                {
                    ShowNotice( data.message, false );
                }
                $( '#refreshing' ).hide( );
            }
        } );
    }
}

function construcQueryStrig( name, value )
{
    return name + '=' + value + '|';
}

function buildTeste( group )
{
    returnGroup = '';
    for( i = 0; i < group.length; i++ )
    {
        if( returnGroup == '' )
            returnGroup += group[i];
        else
            returnGroup += ',' + group[i];
        varTest = group[i];
        testVar = group[i];

        for( x = i; x < group.length; x++ )
        {
            if( testVar == group[x] )
            {
                testVar++;
                i++;
            }
        }
        i--;
        if( group[i] != varTest )
            returnGroup += '-' + group[i];
    }
    return returnGroup;
}

function saveNAP( )
{
    var mydata =
    {
        'Name' : $.trim( $( '#gateway-nap-name' ).val( ) ),
        'Type' : $( '#gateway-nap-type :selected' ).val( ),
        'oldName' : $( '#gateway-nap-old-name' ).val( )
    };

    if( mydata['Name'] == '' )
    {
        ShowNotice( ajaxI18N( 'gateway-nap-error-name-is-required' ), false );
        return;
    }

    var p = $.trim( $( '#gateway-nap-profile' ).val( ) );
    // Profile
    if( p != '' )
    {
        mydata['Profile'] = p;
    }
    delete p;

    // NAP type data
    switch( mydata['Type'] )
    {
        case 'SIP':
            mydata['Domain'] = $.trim( $( '#gateway-nap-sip-domain' ).val( ) );
            if( mydata['Domain'] == '' )
            {
                ShowNotice( ajaxI18N( 'gateway-nap-error-sip-domain-is-required' ), false );
                return;
            }
            mydata['DomainPort'] = $.trim( $( '#gateway-nap-sip-domain-port' ).val( ) );
            if( mydata['DomainPort'] == '' )
            {
                ShowNotice( ajaxI18N( 'gateway-nap-error-sip-domain-port-is-required' ), false );
                return;
            }
            mydata['DomainUseIpPacketAddress'] = $( '#gateway-nap-sip-domain-use-ip-packet-address' ).is( ':checked' );
            if( mydata['DomainUseIpPacketAddress'] && !mydata['Domain'].isIpv4( ) )
            {
                ShowNotice( ajaxI18N( 'gateway-nap-error-sip-domain-should-be-ipv4' ), false );
                return;
            }
            mydata['UseCalledFromRequestURI'] = $( '#gateway-nap-sip-use-called-from-uri' ).is( ':checked' );
            mydata['Proxy'] = $.trim( $( '#gateway-nap-sip-proxy' ).val( ) );
            mydata['ProxyPort'] = $.trim( $( '#gateway-nap-sip-proxy-port' ).val( ) );
            mydata['Register'] = $( '#gateway-nap-sip-register' ).is( ':checked' );
            mydata['Username'] = $.trim( $( '#gateway-nap-sip-username' ).val( ) );
            if( mydata['Register'] && mydata['Username'] == '' )
            {
                ShowNotice( ajaxI18N( 'gateway-nap-error-sip-username-is-required' ), false );
                return;
            }
            mydata['AuthorizationUser'] = $.trim( $( '#gateway-nap-sip-authorization-user' ).val( ) );
            mydata['Password'] = $.trim( $( '#gateway-nap-sip-password' ).val( ) );
            mydata['Expires'] = $.trim( $( '#gateway-nap-sip-expires' ).val( ) );
            break;
        case 'Trunk':
            mydata['Links'] = [];
            $( '.gateway-nap-trunk-device select' ).each( function( idx, elm )
            {
                switch( $( this ).val() )
                {
                    case 'full':
                        mydata['Links'].push( $( this ).attr( 'id' ) );
                        break;
                    case 'partial':
                        $( '#channels-' + $( this ).attr( 'name' ) + ' input:checked' ).each( function( idx, elm )
                        {
                            mydata['Links'].push( $( elm ).attr( 'id' ) );

                        } );
                        break;
                }

            } );
            if( mydata['Links'].length == 0 )
            {
                ShowNotice( ajaxI18N( 'gateway-nap-trunk-error-link-or-channel-required' ), false );
                return;
            }
            break;
        case 'GSM':
            mydata['Channels'] = [];
            $( '[class~="gateway-nap-gsm-channel"]:checked' ).each( function( idx, elm )
            {
                mydata['Channels'].push( $( elm ).attr( 'id' ) );
            } );
            if( mydata['Channels'].length == 0 )
            {
                ShowNotice( ajaxI18N( 'gateway-nap-gsm-error-channel-required' ), false );
                return;
            }
            break;
        case 'FXO':
            mydata['Channels'] = [];
            $( '[class~="gateway-nap-fxo-channel"]:checked' ).each( function( idx, elm )
            {
                mydata['Channels'].push( $( elm ).attr( 'id' ) );
            } );
            if( mydata['Channels'].length == 0 )
            {
                ShowNotice( ajaxI18N( 'gateway-nap-fxo-error-channel-required' ), false );
                return;
            }
        case 'FXS':
            mydata['Branches'] =
            {
            };
            var count = 0;
            $( '[class~="gateway-nap-fxs-branch"]' ).each( function( idx, elm )
            {
                if( $( elm ).val( ) != '' )
                {
                    mydata['Branches'][$( elm ).attr( 'id' )] = $( elm ).val( );
                    count++;
                }
            } );
            if( count == 0 )
            {
                ShowNotice( ajaxI18N( 'gateway-nap-fxs-error-branch-required' ), false );
                return;
            }
            delete count;
            break;
        default:
            ShowNotice( ajaxI18N( 'gateway-nap-error-type-is-required' ), false );
            return;
    }
    $( '#refreshing' ).show( );
    $.kajax(
    {
        url : GLOBALAjaxURL + '&ajaxTo=saveNAP',
        data : mydata,
        dataType : "json",
        type : "POST",
        success : function( data )
        {
            $( '#refreshing' ).hide( );
            if( data.success )
            {
                ShowNotice( data.message, true );
                backNAPs( );
            }
            else
            {
                ShowNotice( data.message, false );
            }
        },
        error : ajaxDefaultError
    } );
}

function initTimeRestraints( )
{
    $( '#TimeRestraintsTable' ).tablesorter(
    {
        cssAsc : 'tablesorter-asc',
        cssDesc : 'tablesorter-desc',
        cssHeader : 'tablesorter-undefined',
        headers :
        {
            1 :
            {
                sorter : false
            }
        },
        sortList : [[0, 0]]
    } );
}

function backTimeRestraints( )
{
    $( '#refreshing' ).show( );
    $.kajax(
    {
        url : GLOBALAjaxURL,
        data : "ajaxTo=showTimeRestraintsGW",
        dataType : "html",
        success : function( html )
        {
            $( '#formulario' ).html( html );
            initTimeRestraints( );
        }
    } );
    $( '#refreshing' ).hide( );
}

function removeTimeRestraints( name )
{
    if( ajaxConfirm( 'removeTimeRestraints' ) )
    {
        $( '#refreshing' ).show( );
        $.kajax(
        {
            url : GLOBALAjaxURL + "&ajaxTo=removeTimeRestraintsGW",
            data :
            {
                'name' : name
            },
            dataType : "json",
            type : 'POST',
            success : function( data )
            {
                ShowNotice( data.message, data.success );
                if( data.success )
                {
                    backTimeRestraints( );
                }
            }
        } );
        $( '#refreshing' ).hide( );
    }
}

function newTimeRestraints( )
{
    $( '#refreshing' ).show( );
    $.kajax(
    {
        url : GLOBALAjaxURL,
        data : "ajaxTo=newTimeRestraintsGW",
        dataType : "html",
        success : function( retorno )
        {
            $( '#TimeRestraintsDivTable' ).html( retorno );
            ApplyDropDownCheckBox( );
        }
    } );
    $( '#refreshing' ).hide( );
}

function editTimeRestraints( name )
{
    $( '#refreshing' ).show( );
    jQuery.kajax(
    {
        url : GLOBALAjaxURL + '&ajaxTo=editTimeRestraintsGW',
        data :
        {
            name : name
        },
        type : 'POST',
        dataType : 'html',
        success : function( retorno )
        {
            $( '#TimeRestraintsDivTable' ).html( retorno );
            ApplyDropDownCheckBox( );
            $( '#refreshing' ).hide( );
        }
    } );
}

function validaHorario( )
{
    var fromHour = $( "#fromHour" ).val( );
    fromHour[0] == '0' ? fromHour = fromHour[1] : '';

    var toHour = $( "#toHour" ).val( );
    toHour[0] == '0' ? toHour = toHour[1] : '';

    var fromMin = $( "#fromMinutes" ).val( );
    fromMin[0] == '0' ? fromMin = fromMin[1] : '';

    var toMin = $( "#toMinutes" ).val( );
    toMin[0] == '0' ? toMin = toMin[1] : '';

    var erros = 0;

    if( fromHour == '' || toHour == '' || fromMin == '' || toMin == '' || isNaN( fromHour ) || isNaN( toHour ) || isNaN( fromMin ) || isNaN( toMin ) )
        erros++;

    if( fromHour < 0 || fromHour > 24 )
        erros++;

    if( toHour < 0 || toHour > 24 )
        erros++;

    if( fromMin < 0 || fromMin > 59 )
        erros++;

    if( toMin < 0 || toMin > 59 )
        erros++;

    if( erros > 0 )
    {
        ajaxAlert( 'reportValidTime' );
        return false;
    }
    else
        return true;
}

function saveTimeRestraints( )
{
    var data = '';
    var TimeRestraintsId = $( "#TimeRestraintsId" ).val( );
    var TimeRestraintsPos = $( "#TimeRestraintsPos" ).val( );
    var name = $.trim( $( "#timeRestraintsName" ).val( ) );

    if( name == '' )
    {
        ajaxAlert( 'reportNameRestraints' );
        return false;
    }
    data += construcQueryStrig( "Name", name );

    //horario
    var hour = '';
    if( $( '#checkHour' ).is( ':checked' ) )
    {
        if( !validaHorario( ) )
            return false;

        var hour = $( "#fromHour" ).val( ) + ':' + $( "#fromMinutes" ).val( );
        hour += '-';
        hour += $( "#toHour" ).val( ) + ':' + $( "#toMinutes" ).val( );
    }

    data += construcQueryStrig( "Hour", hour );

    //dias da semana
    var wdays = '';
    if( $( '#checkWeekDay' ).is( ':checked' ) )
    {
        if( $( '#weekDay-combo' ).val( ) != null )
            wdays = $( '#weekDay-combo' ).val( );
        if( wdays == '' )
        {
            ajaxAlert( 'reportWeekDay' );
            return false;
        }
    }
    data += construcQueryStrig( "WDay", wdays );

    //dias do mes
    var days = '';
    if( $( '#checkMonthDay' ).is( ':checked' ) )
    {
        $( '#monthDayTable input[type="checkbox"]' ).each( function( )
        {
            if( $( this ).is( ':checked' ) )
                days += $( this ).val( ) + ',';
        } );
        //clear the last coma
        days = days.substr( 0, days.length - 1 );
        if( days == '' )
        {
            ajaxAlert( 'reportMonthDay' );
            return false;
        }
    }
    data += construcQueryStrig( "Day", days );

    //meses
    var months = '';
    if( $( '#checkMonth' ).is( ':checked' ) )
    {
        if( $( '#month-combo' ).val( ) != null )
            months = $( '#month-combo' ).val( );
        if( months == '' )
        {
            ajaxAlert( 'reportMonth' );
            return false;
        }
    }
    data += construcQueryStrig( "Month", months );
    //clear the last pipe
    data = data.substr( 0, data.length - 1 );

    $( '#refreshing' ).show( );
    $.kajax(
    {
        url : GLOBALAjaxURL + "&ajaxTo=saveTimeRestraintsGW",
        data :
        {
            id : TimeRestraintsId,
            TimeRestraintsPos : TimeRestraintsPos,
            data : data
        },
        type : 'POST',
        dataType : 'text',
        success : function( retorno )
        {
            retorno = retorno.replace( /(\r\n|\n|\r)/gm, "" );
            resp = retorno.split( '|' );
            $( '#refreshing' ).hide( );
            if( resp[0] == 'ok' )
            {
                ShowNotice( resp[1], true );
                backTimeRestraints( );
            }
            else
            {
                ShowNotice( resp[1], false );
            }
        }
    } );
}

function setPosition( pos, id )
{
    $( '#' + id + 'Position' ).val( pos );
}

function normalizeField( id )
{
    var v = $( '#' + id ).val( );
    if( v.length < 2 )
        var v = $( '#' + id ).val( '0' + (v) );
}

function up( id )
{
    if( $( '#' + id + 'Position' ).val( ) == 'hour' )
    {
        var campo = $( '#' + id + 'Hour' ).val( );
        if( campo != '' && !isNaN( campo ) )
        {
            if( campo[0] == '0' )
                campo = campo[1];
            var hour = parseInt( campo );
            if( hour <= 22 )
                $( '#' + id + 'Hour' ).val( hour + 1 );
            if( hour >= 23 )
                $( '#' + id + 'Hour' ).val( 0 );
        }
        else
            $( '#' + id + 'Hour' ).val( 0 );
        normalizeField( id + 'Hour' );
    }
    else
    {
        var campo = $( '#' + id + 'Minutes' ).val( );
        if( campo != '' && !isNaN( campo ) )
        {
            if( campo[0] == '0' )
                campo = campo[1];
            var minutes = parseInt( campo );
            if( minutes == '' )
                $( '#' + id + 'Minutes' ).val( 0 );
            if( minutes <= 58 )
                $( '#' + id + 'Minutes' ).val( minutes + 1 );
            if( minutes >= 59 )
                $( '#' + id + 'Minutes' ).val( 0 );
        }
        else
            $( '#' + id + 'Minutes' ).val( 0 );

        normalizeField( id + 'Minutes' );

    }
}

function down( id )
{
    if( $( '#' + id + 'Position' ).val( ) == 'hour' )
    {
        var campo = $( '#' + id + 'Hour' ).val( );
        if( campo != '' && !isNaN( campo ) )
        {
            if( campo[0] == '0' )
                campo = campo[1];
            var hour = parseInt( campo );
            if( hour == '' )
                $( '#' + id + 'Hour' ).val( 0 );
            if( hour <= 23 )
                $( '#' + id + 'Hour' ).val( hour - 1 );
            if( hour == 0 )
                $( '#' + id + 'Hour' ).val( 23 );
            if( hour > 23 )
                $( '#' + id + 'Hour' ).val( 0 );
        }
        else
            $( '#' + id + 'Hour' ).val( 0 );

        normalizeField( id + 'Hour' );
    }
    else
    {
        var campo = $( '#' + id + 'Minutes' ).val( );
        if( campo != '' && !isNaN( campo ) )
        {
            if( campo[0] == '0' )
                campo = campo[1];
            var minutes = parseInt( campo );
            if( minutes == '' )
                $( '#' + id + 'Minutes' ).val( 0 );
            if( minutes <= 59 )
                $( '#' + id + 'Minutes' ).val( minutes - 1 );
            if( minutes == 0 )
                $( '#' + id + 'Minutes' ).val( 59 );
            if( minutes > 59 )
                $( '#' + id + 'Minutes' ).val( 0 );
        }
        else
            $( '#' + id + 'Minutes' ).val( 0 );

        normalizeField( id + 'Minutes' );
    }
}

function showHourTable( )
{
    if( $( '#checkHour' ).is( ':checked' ) )
        $( '#hourTable' ).show( );
    else
        $( '#hourTable' ).hide( );
}

function showWeekDaysTable( )
{
    if( $( '#checkWeekDay' ).is( ':checked' ) )
    {
        $( '#weekDayTable' ).show( );
        $( "#ddcl-weekDay-combo" ).show( );
    }
    else
    {
        $( '#weekDayTable' ).hide( );
        $( "#ddcl-weekDay-combo" ).hide( );
    }
}

function showMonthDayTable( )
{
    if( $( '#checkMonthDay' ).is( ':checked' ) )
        $( '#monthDayTable' ).show( );
    else
        $( '#monthDayTable' ).hide( );
}

function showMonthTable( )
{
    if( $( '#checkMonth' ).is( ':checked' ) )
    {
        $( '#monthTable' ).show( );
        $( "#ddcl-month-combo" ).show( );
    }
    else
    {
        $( '#monthTable' ).hide( );
        $( "#ddcl-month-combo" ).hide( );
    }
}

function autoCompleteFXS( serial )
{
    var reply = $.trim( ajaxPrompt( 'enterFirstBranche' ) );
    if( isNumeric( reply ) && reply != '' )
    {
        $( '#branches-' + serial + ' input[type="text"]' ).each( function( )
        {
            $( this ).attr( "value", reply );
            reply++;
        } );
    }
}

function cleanFXS( serial )
{
    if( ajaxConfirm( 'cleanTypedBranches' ) )
    {
        $( '#branches-' + serial + ' input[type="text"]' ).each( function( )
        {
            $( this ).attr( "value", '' );
        } );
    }
}

function ApplyDropDownCheckBox( )
{
    var select = ajaxI18N( 'selectOne' );
    var close = ajaxI18N( 'closeDropDown' );
    $( "#weekDay-combo" ).dropdownchecklist(
    {
        emptyText : select + "...",
        explicitClose : close + ' [x]',
        width : 200,
        icon :
        {
        },
        maxDropHeight : 150
    } );

    $( "#month-combo" ).dropdownchecklist(
    {
        emptyText : select + "...",
        explicitClose : close + ' [x]',
        width : 200,
        icon :
        {
        },
        maxDropHeight : 250
    } );
    showWeekDaysTable( );
    showMonthTable( );
}

function initNetworkGW( )
{
    var nrifaces = $( '.gateway-network-interface-method' ).length;

    if( nrifaces == 1 )
    {
        // change dns configuration method event handler
        $( '#gateway-network-dns-method' ).change( function( )
        {
            if( $( this ).val( ) == 'static' )
            {
                $( '#gateway-network-dns-config' ).show( );
            }
            else
            {
                $( '#gateway-network-dns-config' ).hide( );
            }
        } );
        $( '#gateway-network-dns-method' ).change( );
    }

    // change network configuration method event handler
    $( '.gateway-network-interface-method' ).each( function( idx, elm )
    {
        var iface = $( elm ).attr( 'id' ).split( '-' ).pop( );

        $( elm ).change( function( )
        {
            switch( $( this ).val( ) )
            {
                case 'manual':
                    // aka disabled
                    $( '#gateway-network-config-dhcp-' + iface ).hide( );
                    $( '#gateway-network-config-static-' + iface ).hide( );
                    break;
                case 'dhcp':
                    $( '#gateway-network-config-dhcp-' + iface ).show( );
                    $( '#gateway-network-config-static-' + iface ).hide( );
                    if( nrifaces == 1 )
                    {
                        $( '#gateway-network-dns-method' ).prop( 'disabled', false );
                    }
                    break;
                case 'static':
                    $( '#gateway-network-config-static-' + iface ).show( );
                    $( '#gateway-network-config-dhcp-' + iface ).hide( );
                    if( nrifaces == 1 )
                    {
                        $( '#gateway-network-dns-method' ).val( 'static' );
                        $( '#gateway-network-dns-method' ).change( );
                        $( '#gateway-network-dns-method' ).prop( 'disabled', true );
                    }
                    break;
                default:
                    console.warn( "unsupported [interface] method for " + iface );
                    return;
            }
        } );
        $( elm ).change( );
    } );

    // append dns server input text
    $( '.gateway-network-dns-add' ).click( function( ev )
    {
        var _input = $( '<input type=\'text\' class=\'gateway-network-dns-server ipv4\' />' );
        _input.ipAddress( );
        $( '#gateway-network-dns-server-list' ).append( _input );
        $( '#gateway-network-dns-server-list' ).append( '<br />' );
        ev.preventDefault( );
    } );
    // save network configuration event
    $( '#gateway-network-save' ).click( function( )
    {
        try
        {
            var config =
            {
                'ifaces' :
                {
                }
            };

            // network interfaces + dns
            $( '.gateway-network-interface' ).each( function( idx, elm )
            {
                var getIpv4 = function( element )
                {
                    return $( element ).val( ).isIpv4( ) ? $( element ).val( ) : "";
                };
                var iface = $( this ).attr( 'id' ).split( '-' ).pop( );
                var ifacedata =
                {
                    'config' :
                    {
                    },
                    'properties' :
                    {
                        'method' : $( '#gateway-network-method-' + iface + ' :selected' ).val( ),
                        'family' : 'inet'
                    }
                };

                switch( ifacedata['properties']['method'] )
                {
                    case 'static':
                        ifacedata['config'] =
                        {
                            'address' : getIpv4( '#gateway-network-static-address-' + iface ),
                            'netmask' : getIpv4( '#gateway-network-static-netmask-' + iface ),
                            'gateway' : getIpv4( '#gateway-network-static-gateway-' + iface )
                        };
                        if( ifacedata['config']['address'].length == 0 )
                        {
                            throw 'gateway-network-interface-error-address-required';
                        }
                        if( ifacedata['config']['netmask'].length == 0 )
                        {
                            throw 'gateway-network-interface-error-netmask-required';
                        }
                        break;
                    case 'dhcp':
                    case 'manual':
                        // aka disabled
                        break;
                    default:
                        console.warn( "unsupported [interface] method " + ifacedata['properties']['method'] + " for " + iface );
                        return;
                }

                switch( $( '#gateway-network-dns-method' ).val() )
                {
                    case 'static':
                        var nameservers = [];
                        $( '.gateway-network-dns-server' ).each( function( )
                        {
                            _ip = getIpv4( this );
                            if( _ip )
                            {
                                nameservers.push( _ip );
                            }
                        } );
                        ifacedata['config']['dns-search'] = $.trim( $( '#gateway-network-dns-search' ).val( ) );
                        ifacedata['config']['dns-nameservers'] = nameservers;
                        break;
                    case 'dhcp':
                        break;
                    default:
                        console.warn( "unsupported [dns] method for " + iface );
                        return;
                }

                config['ifaces'][iface] = ifacedata;
            } );

            $.kajax(
            {
                url : GLOBALAjaxURL + '&ajaxTo=saveNetworkGW',
                data : config,
                dataType : 'json',
                type : 'post',
                success : function( data )
                {
                    $( '#refreshing' ).hide( );
                    ShowNotice( data.message, data.success );
                },
                error : ajaxDefaultError
            } );
        }
        catch( err )
        {
            ShowNotice( ajaxI18N( err ), false );
        }
    } );

    // setup masks and validators
    $( '.ipv4' ).ipAddress( );
}

function initDateTimeGW( )
{
    // append ntp server input text
    $( '#gateway-datetime-ntp-add' ).click( function( ev )
    {
        $( '#gateway-datetime-ntp-server-list' ).append( '<input type=\'text\' class=\'gateway-datetime-ntp-server\' /><br />' );
        ev.preventDefault( );
    } );
    // save datetime configuration event
    $( '#gateway-datetime-save' ).click( function( )
    {
        try
        {
            var config =
            {
                'timezone' : $( '#gateway-datetime-timezone' ).val( ),
                'ntp' :
                {
                    'enabled' : $( '#gateway-datetime-ntp-enable' ).is( ':checked' ) ? 'yes' : 'no',
                    'timeout' : $( '#gateway-datetime-ntp-timeout' ).val( ),
                    'servers' : []
                }
            };

            // ntp servers
            $( '.gateway-datetime-ntp-server' ).each( function( )
            {
                _host = $.trim( $( this ).val( ) );
                if( _host.length > 0 )
                {
                    config['ntp']['servers'].push( _host );
                }
            } );

            // date and time
            if( $( '#gateway-datetime-date-changed' ).val( ) == 'yes' )
            {
                config['date'] = $( '#gateway-datetime-date' ).val( );
            }
            if( $( '#gateway-datetime-time-changed' ).val( ) == 'yes' )
            {
                config['time'] = $( '#gateway-datetime-time' ).val( );
            }

            $( '#refreshing' ).show( );
            $.kajax(
            {
                url : GLOBALAjaxURL + '&ajaxTo=saveDateTimeGW',
                data : config,
                dataType : 'json',
                type : 'post',
                success : function( data )
                {
                    $( '#refreshing' ).hide( );
                    ShowNotice( data.message, data.success );
                },
                error : ajaxDefaultError
            } );
        }
        catch( err )
        {
            ShowNotice( ajaxI18N( err ), false );
        }
    } );

    // setup masks and validators
    $( '#gateway-datetime-date' ).mask( "99/99/9999" );
    $( '#gateway-datetime-time' ).mask( "99:99:99" );
    $( '#gateway-datetime-ntp-timeout' ).mask( "9?99" );
    // setup change notification
    $( '#gateway-datetime-date' ).change( function( )
    {
        $( '#gateway-datetime-date-changed' ).val( 'yes' );
    } );
    $( '#gateway-datetime-time' ).change( function( )
    {
        $( '#gateway-datetime-time-changed' ).val( 'yes' );
    } );
}

function shutdownGW( )
{
    if( ajaxConfirm( 'gateway-shutdown-confirm' ) )
    {
        $( '#gateway-power-wait .shutdown' ).show( );
        $( '#gateway-power-wait .reboot' ).hide( );
        var title = ajaxI18N( 'gateway-shutdown' ).toUpperCase( );
        var done = ajaxI18N( 'gateway-shutdown-done' );
        $.kajax(
        {
            url : GLOBALAjaxURL + '&ajaxTo=shutdown',
            dataType : 'json',
            type : 'POST',
            success : function( data )
            {
                if( data.success )
                {
                    var wait = $( '#gateway-power-wait' );
                    wait.dialog(
                    {
                        closeOnEscape : false,
                        draggable : false,
                        resizable : false,
                        title : title,
                        modal : true,
                        open : function( event, ui )
                        {
                            $( ".ui-dialog-titlebar-close", $( this ).parent( ) ).hide( );
                        }
                    } );
                    var countdown = function( v )
                    {
                        if( v == 0 )
                        {
                            wait.html( done );
                            return;
                        }
                        var b = '';
                        for( var i = 0; i < v; i++ )
                        {
                            b += '.';
                        }
                        $( '#gateway-power-wait .countdown' ).text( b );
                        setTimeout( countdown, 1000, v - 1 );
                    };
                    countdown( 10 );
                }
                else
                {
                    ShowNotice( data.message, false );
                }
            }
        } );
    }
}

function remoteShellGW( )
{
    $( '#remote-shell-content' ).dialog(
    {
        closeOnEscape : true,
        draggable : false,
        resizable : false,
        modal : true,
        title : $( '#remote-shell' ).val( ),
        width : $( window ).width( ) - 200,
        height : $( document ).height( ) - 100,
        open : function( event, ui )
        {
            $( '#remote-shell-download-key' ).click( function( evt )
            {
                window.location.href = '/KWebConfig/?location=downloadShellKey';
            } );
        }
    } );
}

function rebootGW( )
{
    if( ajaxConfirm( 'gateway-reboot-confirm' ) )
    {
        $( '#gateway-power-wait .shutdown' ).hide( );
        $( '#gateway-power-wait .reboot' ).show( );
        var title = ajaxI18N( 'gateway-reboot' ).toUpperCase( );
        $.kajax(
        {
            url : GLOBALAjaxURL + '&ajaxTo=reboot',
            dataType : 'json',
            type : 'POST',
            success : function( data )
            {
                if( data.success )
                {
                    var wait = $( '#gateway-power-wait' );
                    wait.dialog(
                    {
                        closeOnEscape : false,
                        draggable : false,
                        resizable : false,
                        title : title,
                        modal : true,
                        open : function( event, ui )
                        {
                            $( ".ui-dialog-titlebar-close", $( this ).parent( ) ).hide( );
                        }
                    } );
                    var countdown = function( v )
                    {
                        if( v == 0 )
                        {
                            wait.dialog( 'destroy' );
                            $( '#refreshing' ).show( );
                            window.location.reload( );
                            return;
                        }
                        var b = '';
                        for( var i = 0; i < v; i++ )
                        {
                            b += '.';
                        }
                        $( '#gateway-power-wait .countdown' ).text( b );
                        setTimeout( countdown, 1000, v - 1 );
                    };
                    countdown( 30 );
                }
                else
                {
                    ShowNotice( data.message, false );
                }
            }
        } );
    }
}

// Gateway CDR configuration JS calls
function initCDR( )
{
    // drag options
    $( '.gateway-cdr-option' ).draggable(
    {
        containment : '#gateway-cdr',
        scroll : false,
        opacity : 0.7,
        helper : "clone"
    } );
    // insert option into pattern editor
    $( '.gateway-cdr-option' ).dblclick( function( )
    {
        $( '#gateway-cdr-pattern' ).insertText( "${" + $( this ).attr( 'cdr-value' ) + "}", $( '#gateway-cdr-pattern' ).getSelection( ).start, true );
    } );
    // option help tooltip
    $( '.gateway-tooltip' ).mouseover( function( event )
    {
        showKhompChanToolTip( event, $( this ).attr( 'khelp' ) );
    } );
    $( '.gateway-tooltip' ).mouseout( hideKhompChanToolTip );
    // pattern editor, accept option drag and highlight on drag
    $( '#gateway-cdr-pattern' ).droppable(
    {
        accept : '.gateway-cdr-option',
        activeClass : 'gateway-cdr-data-highlight',
        greedy : true,
        drop : function( event, ui )
        {
            $( ui.draggable ).dblclick( );
        }
    } );
    // pattern editor should restrict the chr(13) (enter) key press
    $( '#gateway-cdr-pattern' ).keypress( function( evt )
    {
        if( evt.which == 13 )
        {
            evt.preventDefault( );
        }
    } );
    // save event, send needed data by POST ajax call
    $( '#gateway-cdr-save' ).click( function( )
    {
        disableButton( 'gateway-cdr-save' );
        $( '#refreshing' ).show( );

        $.kajax(
        {
            url : GLOBALAjaxURL + '&ajaxTo=saveCDROptions',
            data :
            {
                'Enabled' : $( '#gateway-cdr-enabled' ).is( ':checked' ),
                'Pattern' : $( '#gateway-cdr-pattern' ).val( ),
                'Rotate' : $( '#gateway-cdr-rotate :selected' ).val( )
            },
            dataType : "json",
            type : "POST",
            success : function( data )
            {
                ShowNotice( data.message, data.success );
                $( '#refreshing' ).hide( );
                enableButton( 'gateway-cdr-save' );
            },
            error : ajaxDefaultError
        } );
    } );
    // time format help
    $( '[class~="gateway-cdr-help-title"]' ).each( function( idx, elm )
    {
        $( elm ).collapser(
        {
            target : 'next',
            effect : 'fade',
            changeText : 0
        }, function( )
        {
        }, function( )
        {
            var current_html = $( this ).html( );
            if( current_html[0] == "+" )
            {
                $( this ).html( current_html.replace( "+", "-" ) );
            }
            else
            {
                $( this ).html( current_html.replace( "-", "+" ) );
            }
        } );
    } );
    // sample copy event
    $( '[class~="gateway-cdr-help-sample-copy"]' ).each( function( idx, elm )
    {
        $( elm ).click( function( )
        {
            $( '#gateway-cdr-pattern' ).val( $( this ).prev( ).text( ) );
        } );
    } );
    // enable/disable CDR
    $( '#gateway-cdr-enabled' ).change( function( ev )
    {
        var disabled = !$( this ).is( ':checked' );
        $( '#gateway-cdr-pattern' ).attr( 'disabled', disabled );
        $( '#gateway-cdr-rotate' ).attr( 'disabled', disabled );
    } ).change( );
}

// Gateway codec profile functions
function initCodecProfiles( )
{
    // (re)load codec profile list
    var loadCodecProfiles = function( )
    {
        changeView( 'showCodecProfiles', null, 'menu-routing-gw,menu-profiles-gw,menu-codec-profiles-gw' );
    };
    var saveCodecProfile = function( )
    {
        var codecList = [];
        var name = $.trim( $( '#gateway-codec-profile-name' ).val( ) );

        $( '[class~="gateway-codec-profile-list"]:checked' ).each( function( idx, elm )
        {
            codecList.push( $( elm ).val( ) );
        } );
        if( name.length == 0 )
        {
            ShowNotice( ajaxI18N( 'gateway-codec-profile-save-error-name-required' ), false );
            return;
        }
        else if( codecList.length == 0 )
        {
            ShowNotice( ajaxI18N( 'gateway-codec-profile-save-error-codec-required' ), false );
            return;
        }
        var oldName = $( '#gateway-codec-profile-old-name' ).val( );

        $( '#refreshing' ).show( );
        disableButton( 'gateway-codec-profile-save' );
        $.kajax(
        {
            url : GLOBALAjaxURL + '&ajaxTo=saveCodecProfile',
            data :
            {
                'name' : name,
                'oldName' : oldName,
                'codecList' : codecList
            },
            dataType : 'json',
            type : 'POST',
            success : function( data )
            {
                ShowNotice( data.message, data.success );
                if( data.success )
                {
                    loadCodecProfiles( );
                }
                else
                {
                    enableButton( 'gateway-codec-profile-save' );
                }
            },
            error : ajaxDefaultError
        } );
    };
    formCodecProfile = function( text )
    {
        $( '#gateway-codec-profile-container' ).html( text );
        $( '#gateway-codec-profile-list-container' ).sortable(
        {
            revert : true
        } );
        $( '#gateway-codec-profile-list-container' ).disableSelection( );
        $( '#gateway-codec-profile-list-container' ).each( function( idx, elm )
        {
            $( elm ).disableSelection( );
        } );
        $( '#gateway-codec-profile-back' ).click( loadCodecProfiles );
        $( '#gateway-codec-profile-save' ).click( saveCodecProfile );
        // tooltips
        $( '.gateway-tooltip' ).mouseover( function( event )
        {
            showKhompChanToolTip( event, $( this ).attr( 'khelp' ) );
        } );
        $( '.gateway-tooltip' ).mouseout( hideKhompChanToolTip );
        $( '#gateway-codec-profile-select-all' ).click( function( ev )
        {
            $( '[class~="gateway-codec-profile-list"]' ).each( function( idx, elm )
            {
                $( elm ).attr( 'checked', true );
            } );
        } );
        $( '#gateway-codec-profile-select-none' ).click( function( ev )
        {
            $( '[class~="gateway-codec-profile-list"]' ).each( function( idx, elm )
            {
                $( elm ).attr( 'checked', false );
            } );
        } );
        $( '#refreshing' ).hide( );
    };
    // new codec profile button
    $( '#gateway-codec-profile-button-new' ).click( function( )
    {
        $( '#refreshing' ).show( );
        $.kajax(
        {
            url : GLOBALAjaxURL + '&ajaxTo=addCodecProfile',
            dataType : 'html',
            type : 'POST',
            success : formCodecProfile,
            error : ajaxDefaultError
        } );
    } );
    // edit codec profile buttons
    $( '[class~="gateway-codec-profile-edit"]' ).each( function( idx, elm )
    {
        $( elm ).click( function( )
        {
            var name = $( elm ).parent( ).parent( ).children( ).first( ).text( );
            $.kajax(
            {
                url : GLOBALAjaxURL + '&ajaxTo=editCodecProfile',
                data :
                {
                    'name' : name
                },
                dataType : 'html',
                type : 'POST',
                success : formCodecProfile,
                error : ajaxDefaultError
            } );
        } );
    } );
    // delete codec profile buttons
    $( '[class~="gateway-codec-profile-delete"]' ).each( function( idx, elm )
    {
        $( elm ).click( function( )
        {
            if( ajaxConfirm( 'gateway-codec-profile-confirm-delete' ) )
            {
                var name = $( elm ).parent( ).parent( ).children( ).first( ).text( );
                $( '#refreshing' ).show( );
                $.kajax(
                {
                    url : GLOBALAjaxURL + '&ajaxTo=deleteCodecProfile',
                    data :
                    {
                        'name' : name
                    },
                    dataType : 'json',
                    type : 'POST',
                    success : function( data )
                    {
                        ShowNotice( data.message, data.success );
                        if( data.success )
                        {
                            loadCodecProfiles( );
                        }
                    },
                    error : ajaxDefaultError
                } );
            }
            $( '#refreshing' ).hide( );
        } );
    } );
    // main table sorter
    $( '#gateway-codec-profile-table' ).tablesorter(
    {
        cssAsc : 'tablesorter-asc',
        cssDesc : 'tablesorter-desc',
        cssHeader : 'tablesorter-undefined',
        headers :
        {
            2 :
            {
                sorter : false
            }
        },
        sortList : [[0, 0]]
    } );
}

// gateway routes
function initRoutesGW( )
{
    // (re)load routes table
    var loadRoutes = function( )
    {
        changeView( 'showRoutesGW', null, 'menu-routing-gw,menu-routes-gw' );
    };
    // save main table routes order
    var reorderRoutes = function( )
    {
        var order = [];
        $( '#gateway-route-list-table tbody tr' ).each( function( idx, elm )
        {
            order.push( $( elm ).children( ).first( ).text( ) );
        } );
        if( order.length > 0 )
        {
            $( '#refreshing' ).show( );
            $.kajax(
            {
                url : GLOBALAjaxURL + '&ajaxTo=routesOrder',
                data :
                {
                    'order' : order
                },
                dataType : 'json',
                type : 'POST',
                success : function( data )
                {
                    $( '#refreshing' ).hide( );
                    if( !data.success )
                    {
                        ShowNotice( data.message, false );
                    }
                },
                error : ajaxDefaultError
            } );
        }
    };
    // attach route form events
    var initRouteForm = function( )
    {
        // attach events
        $( '#gateway-route-form-destination-nap' ).change( function( )
        {
            var _val = $( '#gateway-route-form-destination-nap' ).val( );
            _val = _val.slice( 0, _val.search( '>' ) );
            if( _val == 'SIP' )
            {
                $( '#gateway-route-form-codec-profile-list' ).show( 350 );
            }
            else
            {
                $( '#gateway-route-form-codec-profile-list' ).hide( 350 );
            }
        } );
        $( '#gateway-route-form-destination-nap' ).change( );
        // tooltips
        $( '.gateway-tooltip' ).mouseover( function( event )
        {
            showKhompChanToolTip( event, $( this ).attr( 'khelp' ) );
        } );
        $( '.gateway-tooltip' ).mouseout( hideKhompChanToolTip );
        $( '#gateway-route-form-save' ).click( function( )
        {
            var mydata =
            {
            };

            $( '#refreshing' ).show( );
            try
            {
                // grab data
                $( '.gateway-table-form input[type~="text"]' ).each( function( )
                {
                    mydata[$( this ).attr( 'name' )] = $( this ).val( );
                } );
                $( '.gateway-table-form input[type~="hidden"]' ).each( function( )
                {
                    mydata[$( this ).attr( 'name' )] = $( this ).val( );
                } );
                $( '.gateway-table-form select' ).each( function( )
                {
                    var _val = $( this ).val( );
                    if( _val.indexOf( '>' ) > -1 && _val.indexOf( '>' ) < (_val.length - 1) )
                    {
                        _val = _val.slice( _val.search( '>' ) + 1 );
                    }
                    mydata[$( this ).attr( 'name' )] = _val;
                } );

                // validation
                if( mydata['Name'] == '' )
                {
                    throw 'gateway-route-error-name-is-required';
                }
                if( mydata['OriginNAP'] == '<SELECT>' )
                {
                    throw 'gateway-route-error-origin-nap-is-required';
                }
                if( mydata['DestinationNAP'] == '<SELECT>' )
                {
                    throw 'gateway-route-error-destination-nap-is-required';
                }
                var _val = $( '#gateway-route-form-destination-nap' ).val( );
                _val = _val.slice( 0, _val.search( '>' ) );
                if( _val == 'SIP' && mydata['CodecProfile'] == '<SELECT>' )
                {
                    throw 'gateway-route-error-codec-profile-is-required';
                }
                else if( _val != 'SIP' )
                {
                    // always blank codec profile if it is not SIP
                    mydata['CodecProfile'] = '';
                }
                if( mydata['DestinationProfile'] == '' )
                {
                    delete mydata['DestinationProfile'];
                }

                $.kajax(
                {
                    url : GLOBALAjaxURL + '&ajaxTo=saveRouteGW',
                    data : mydata,
                    dataType : "json",
                    type : "POST",
                    success : function( data )
                    {
                        ShowNotice( data.message, data.success );
                        if( data.success )
                        {
                            loadRoutes( );
                        }
                    },
                    error : ajaxDefaultError
                } );
            }
            catch( e )
            {
                ShowNotice( ajaxI18N( e ), false );
            }
            $( '#refreshing' ).hide( );
        } );
        // back to list event
        $( '#gateway-route-form-back' ).click( loadRoutes );
    };
    // add route
    var addRoute = function( )
    {
        $( '#refreshing' ).show( );
        $.kajax(
        {
            url : GLOBALAjaxURL + "&ajaxTo=newRouteGW",
            dataType : "html",
            success : function( data )
            {
                $( '#gateway-route' ).html( data );
                initRouteForm( );
                $( '#refreshing' ).hide( );
            },
            error : ajaxDefaultError
        } );

    };
    // find route name inside main table
    var findRoute = function( elm )
    {
        return $( elm ).parent( ).parent( ).children( ).first( ).text( );
    };
    // edit route
    var editRoute = function( )
    {
        var name = findRoute( $( this ) );
        $( '#refreshing' ).show( );
        $.kajax(
        {
            url : GLOBALAjaxURL + "&ajaxTo=editRouteGW",
            data :
            {
                name : name
            },
            dataType : "html",
            type : "POST",
            success : function( data )
            {
                $( '#gateway-route' ).html( data );
                initRouteForm( );
                $( '#refreshing' ).hide( );
            },
            error : ajaxDefaultError
        } );
    };
    // delete route
    var deleteRoute = function( )
    {
        if( ajaxConfirm( 'gateway-route-confirm-delete' ) )
        {
            var name = findRoute( $( this ) );
            $( '#refreshing' ).show( );
            $.kajax(
            {
                url : GLOBALAjaxURL + "&ajaxTo=removeRouteGW",
                data :
                {
                    name : name
                },
                dataType : "json",
                type : "POST",
                success : function( data )
                {
                    $( '#refreshing' ).hide( );
                    ShowNotice( data.message, data.success );
                    if( data.success )
                    {
                        loadRoutes( );
                    }
                },
                error : ajaxDefaultError
            } );
        }
    };
    // main screen events
    // main table is sortable
    $( "#gateway-route-list-table tbody" ).sortable(
    {
        revert : 100,
        stop : reorderRoutes,
        helper : function( e, ui )
        {
            ui.children( ).each( function( )
            {
                $( this ).width( $( this ).width( ) );
            } );
            return ui;
        },
        cancel : 'img,a,input,button'
    } );
    // add/edit/delete buttons
    $( '.gateway-route-add' ).click( addRoute );
    $( '.gateway-route-edit' ).click( editRoute );
    $( '.gateway-route-delete' ).click( deleteRoute );

}

// initialize gateway profile
function initProfileGW( )
{
    var caActions = ['DROP', 'PLAYNDROP', 'NOTIFYNCONNECT'];
    var caEvents = ['OnHumanAnswer', 'OnAnsweringMachine', 'OnCellPhoneMessageBox', 'OnCarrierMessage', 'OnUnknown'];
    var cadences = ['Trying', 'Ringback'];

    // read profile name from table
    var getProfileName = function( elm )
    {
        // img (elm) -> td -> tr -> first td -> text
        return elm.parent( ).parent( ).children( ).first( ).text( );
    };
    // (re)load profile table
    var loadProfiles = function( )
    {
        changeView( 'showProfilesGW', null, 'menu-routing-gw,menu-profiles-gw,menu-profile-general-gw' );
    };
    var saveProfile = function( )
    {
        var getCadence = function( type )
        {
            var data = [];
            for( var i = 0; i < 4; i++ )
            {
                var x = $.trim( $( '#gateway-profile-cadence-' + type + '-' + i ).val( ) );
                if( x )
                {
                    data.push( x );
                }
            }
            if( data.length % 2 != 0 )
            {
                throw 'gateway-profile-error-invalid-cadence';
            }
            return data.join( ',' );
        };

        var getISDNValue = function( elm )
        {
            var tmp = parseInt( $( elm ).val( ), 10 );
            if( tmp < 1 || tmp > 127 )
            {
                throw 'gateway-cause-map-error-isdn-out-of-range';
            }
            return tmp;
        };

        var getR2Value = function( elm )
        {
            var tmp = parseInt( $( elm ).val( ), 10 );
            if( tmp < 0 || tmp > 8 )
            {
                throw 'gateway-cause-map-error-r2-out-of-range';
            }
            return tmp;
        };

        var getSIPValue = function( elm )
        {
            var tmp = parseInt( $( elm ).val( ), 10 );
            if( tmp < 200 || tmp > 699 )
            {
                throw 'gateway-cause-map-error-sip-out-of-range';
            }
            return tmp;
        };

        try
        {
            var mydata =
            {
                Name : $.trim( $( '#gateway-profile-name' ).val( ) ),
                __oldname__ : $( '#gateway-profile-oldname' ).val( ),
                EnableFeatures : [],
                DisableFeatures : [],
                FAX :
                {
                    Mode : $( '#gateway-profile-fax-mode' ).val( ),
                },
                R2 :
                {
                    DoubleAnswer :
                    {
                        Enabled : $( '#gateway-profile-r2-double-answer-enabled' ).is( ':checked' ),
                        Timeout : $.trim( $( '#gateway-profile-r2-double-answer-timeout' ).val( ) )
                    }
                },
                SIP :
                {
                    RelayExtensionHeaders : $('#gateway-profile-sip-relay-extensions').is( ':checked')
                },
                Cadences :
                {
                    Enabled : $( '#gateway-profile-cadences-enabled' ).is( ':checked' ),
                    Trying : '',
                    Ringback : ''
                },
                CauseMap : []
            };
            if( mydata['Name'] === '' )
            {
                throw 'gateway-profile-error-name-is-required';
            }
            $( '.gateway-profile-features' ).each( function( idx, elm )
            {
                if( $( elm ).is( ':checked' ) )
                {
                    mydata['EnableFeatures'].push( $( elm ).attr( 'name' ) );
                }
                else
                {
                    mydata['DisableFeatures'].push( $( elm ).attr( 'name' ) );
                }
            } );
            if( mydata['R2']['DoubleAnswer']['Enabled'] && mydata['R2']['DoubleAnswer']['Timeout'] === '' )
            {
                throw 'gateway-profile-error-invalid-r2-double-answer-timeout';
            }
            mydata['Cadences']['Trying'] = getCadence( 'Trying' );
            mydata['Cadences']['Ringback'] = getCadence( 'Ringback' );

            // has call analyzer
            if( $( '#gateway-profile-call-analyzer' ).length > 0 )
            {
                mydata['CallAnalyzer'] =
                {
                };
                mydata['CallAnalyzer']['Enabled'] = $( '#gateway-profile-call-analyzer-enabled' ).is( ':checked' );
                var getCallAnalyzerEvent = function( evt )
                {
                    var data =
                    {
                        Action : $( '#gateway-profile-call-analyzer-' + evt + '-Action' ).val( )
                    };
                    switch( data['Action'] )
                    {
                        case 'Connect':
                            break;
                        case 'PlayAndDrop':
                            data['AudioFile'] = $( '#gateway-profile-call-analyzer-' + evt + '-AudioFile' ).val( );
                            if( !data['AudioFile'] )
                            {
                                throw 'gateway-profile-error-select-audio-file';
                            }
                        /* no break */
                        case 'Drop':
                            data['DropBehavior'] = $( '#gateway-profile-call-analyzer-' + evt + '-DropBehavior' ).val( );
                            if( !data['DropBehavior'] )
                            {
                                throw 'gateway-profile-error-select-behavior';
                            }
                            break;
                        case 'NotifyAndConnect':
                            data['NotifyBehavior'] = $( '#gateway-profile-call-analyzer-' + evt + '-NotifyBehavior' ).val( );
                            if( !data['NotifyBehavior'] )
                            {
                                throw 'gateway-profile-error-select-behavior';
                            }
                            break;
                        default:
                            throw 'gateway-profile-error-invalid-call-analyzer-event-action';
                    }
                    return data;
                };

                var l = caEvents.length;
                for( var i = 0; i < l; i++ )
                {
                    mydata['CallAnalyzer'][caEvents[i]] = getCallAnalyzerEvent( caEvents[i] );
                }
            }

            $( 'tr[class~="gateway-profile-cause-map"]' ).each( function( idx, elm )
            {
                var tr = $( elm ).children( );
                mydata['CauseMap'].push(
                {
                    "Id" : parseInt( $( tr[0] ).children( ).first( ).val( ), 10 ),
                    "ISDN" : getISDNValue( $( tr[1] ).children( ).first( ) ),
                    "R2" : getR2Value( $( tr[2] ).children( ).first( ) ),
                    "SIP" : getSIPValue( $( tr[3] ).children( ).first( ) )
                } );
            } );

            $( "#refreshing" ).show( );

            $.kajax(
            {
                url : GLOBALAjaxURL + "&ajaxTo=saveProfileGW",
                dataType : "json",
                type : "POST",
                data : mydata,
                success : function( data )
                {
                    $( "#refreshing" ).hide( );
                    ShowNotice( data.message, data.success );
                    if( data.success )
                    {
                        loadProfiles( );
                    }
                },
                error : ajaxDefaultError
            } );
        }
        catch( e )
        {
            ShowNotice( ajaxI18N( e ), false );
        }
    };
    var initFormProfile = function( )
    {
        var x = $( '#gateway-profile-cadences-enabled' );
        x.change( function( )
        {
            var disabled = !$( this ).is( ':checked' );
            var l = cadences.length;
            for( var i = 0; i < l; i++ )
            {
                for( var k = 0; k < 4; k++ )
                {
                    $( '#gateway-profile-cadence-' + cadences[i] + '-' + k ).attr( 'disabled', disabled );
                }
            }
        } );
        x.change( );
        x = $( '#gateway-profile-r2-double-answer-enabled' ).change( function( )
        {
            $( '#gateway-profile-r2-double-answer-timeout' ).attr( 'disabled', !$( this ).is( ':checked' ) );

        } );
        x.change( );
        x = $( '#gateway-profile-call-analyzer' );
        if( x )
        {
            var checkbox = $( '#gateway-profile-call-analyzer-enabled' );
            checkbox.change( function( )
            {
                var disabled = !$( this ).is( ':checked' );
                var s = caEvents.length;
                for( var i = 0; i < s; i++ )
                {
                    var k = '#gateway-profile-call-analyzer-' + caEvents[i];
                    var ev = $( k );
                    if( ev )
                    {
                        var sel = $( k + '-Action' );

                        if( !('kinitialized' in sel ) )
                        {
                            sel.change( function( )
                            {
                                var k = $( this ).attr( 'id' );
                                k = k.split( '-' );
                                k.pop( );
                                k = "#" + k.join( '-' );

                                switch( $( this ).val() )
                                {
                                    case 'PlayAndDrop':
                                        $( k + '-PlayAndDrop' ).show( );
                                        $( k + '-Drop' ).show( );
                                        $( k + '-NotifyAndConnect' ).hide( );
                                        break;
                                    case 'Drop':
                                        $( k + '-PlayAndDrop' ).hide( );
                                        $( k + '-Drop' ).show( );
                                        $( k + '-NotifyAndConnect' ).hide( );
                                        break;
                                    case 'NotifyAndConnect':
                                        $( k + '-PlayAndDrop' ).hide( );
                                        $( k + '-Drop' ).hide( );
                                        $( k + '-NotifyAndConnect' ).show( );
                                        break;
                                    case 'Connect':
                                        $( k + '-PlayAndDrop' ).hide( );
                                        $( k + '-Drop' ).hide( );
                                        $( k + '-NotifyAndConnect' ).hide( );
                                        break;
                                    default:
                                        throw 'gateway-profile-error-invalid-call-analyzer-event-action';
                                        break;
                                }
                                $( this ).attr( 'disabled', disabled );
                                $( k + '-AudioFile' ).attr( 'disabled', disabled );
                                $( k + '-DropBehavior' ).attr( 'disabled', disabled );
                                $( k + '-NotifyBehavior' ).attr( 'disabled', disabled );
                            } );
                            sel.kinitialized = true;
                        }
                        sel.change( );
                    }
                }
            } );
            checkbox.change( );
        }
        $( 'input[class~="gateway-profile-cause-map-input"]' ).each( function( idx, elm )
        {
            $( elm ).mask( '9?99' );
        } );
        $( '#gateway-profile-show-hide-cause-map' ).click( function( evt )
        {
            var _table = $( '#gateway-profile-cause-map-table' );
            if( _table.is( ":visible" ) )
            {
                $( this ).text( "+" + $( this ).text( ).slice( 1 ) );
            }
            else
            {
                $( this ).text( "-" + $( this ).text( ).slice( 1 ) );
            }
            _table.toggle( );
        } );

        $( '#gateway-profile-save' ).click( saveProfile );
        $( '#gateway-profile-back' ).click( loadProfiles );
        $( '#gateway-profile-r2-double-answer-timeout' ).mask( '9?9999' );
        $( '.gateway-profile-cadence-input' ).mask( '9?999' );
        // option help tooltip
        $( '.gateway-tooltip' ).mouseover( function( evt )
        {
            showKhompChanToolTip( evt, ajaxI18N( $( this ).attr( 'khelp' ) ) );
        } );
        $( '.gateway-tooltip' ).mouseout( hideKhompChanToolTip );
    };
    var addProfile = function( )
    {
        $( '#refreshing' ).show( );
        $.kajax(
        {
            url : GLOBALAjaxURL + "&ajaxTo=formProfileGW",
            dataType : "html",
            success : function( data )
            {
                $( '#gateway-profile-fs .gateway-profile' ).html( data );
                initFormProfile( );
            },
            error : ajaxDefaultError
        } );
        $( '#refreshing' ).hide( );
    };
    var editProfile = function( )
    {
        $( '#refreshing' ).show( );
        var mydata =
        {
            name : getProfileName( $( this ) )
        };
        $.kajax(
        {
            url : GLOBALAjaxURL + '&ajaxTo=formProfileGW',
            dataType : "html",
            type : "POST",
            data : mydata,
            success : function( data )
            {
                $( '#gateway-profile-fs .gateway-profile' ).html( data );
                initFormProfile( );
            },
            error : ajaxDefaultError
        } );
        $( '#refreshing' ).hide( );
    };
    var copyProfile = function( )
    {
        $( '#refreshing' ).show( );
        var mydata =
        {
            name : getProfileName( $( this ) ),
            copy : true
        };
        $.kajax(
        {
            url : GLOBALAjaxURL + '&ajaxTo=formProfileGW',
            dataType : "html",
            type : "POST",
            data : mydata,
            success : function( data )
            {
                $( '#gateway-profile-fs .gateway-profile' ).html( data );
                initFormProfile( );
            },
            error : ajaxDefaultError
        } );
        $( '#refreshing' ).hide( );
    };
    var deleteProfile = function( )
    {
        if( confirm( ajaxI18N( 'gateway-profile-delete-confirm' ) ) )
        {
            $( '#refreshing' ).show( );
            var mydata =
            {
                name : getProfileName( $( this ) )
            };
            $.kajax(
            {
                url : GLOBALAjaxURL + '&ajaxTo=deleteProfileGW',
                dataType : "json",
                type : "POST",
                data : mydata,
                success : function( data )
                {
                    ShowNotice( data.message, data.success );
                    if( data.success )
                    {
                        loadProfiles( );
                    }
                },
                error : ajaxDefaultError
            } );
            $( '#refreshing' ).hide( );
        }
    };
    var setDefaultProfile = function( )
    {
        $( '#refreshing' ).show( );
        var mydata =
        {
            name : getProfileName( $( this ) )
        };
        $.kajax(
        {
            url : GLOBALAjaxURL + '&ajaxTo=setDefaultProfileGW',
            dataType : "json",
            type : "POST",
            data : mydata,
            success : function( data )
            {
                ShowNotice( data.message, data.success );
                if( data.success )
                {
                    loadProfiles( );
                }
            },
            error : ajaxDefaultError
        } );
        $( '#refreshing' ).hide( );
    };

    // add/edit/delete buttons
    $( '.gateway-profile-add' ).click( addProfile );
    $( '.gateway-profile-edit' ).click( editProfile );
    $( '.gateway-profile-copy' ).click( copyProfile );
    $( '.gateway-profile-delete' ).click( deleteProfile );
    $( '.gateway-profile-set-as-default' ).click( setDefaultProfile );
}

// initialize gateway profile drop behaviors
function initProfileDropBehaviorGW( )
{
    // read behavior name from table
    var getBehaviorName = function( elm )
    {
        // img (elm) -> td -> tr -> first td -> text
        return elm.parent( ).parent( ).children( ).first( ).text( );
    };
    // (re)load behaviors main table
    var loadBehaviors = function( )
    {
        changeView( 'showDropBehaviorGW', null, 'menu-routing-gw,menu-profiles-gw,menu-profile-behaviors-gw,menu-profile-behavior-drop-gw' );
    };
    // deleted any behavior
    var deleteBehaviorSuccess = function( data )
    {
        ShowNotice( data.message, data.success );
        if( data.success )
        {
            loadBehaviors( );
        }
    };
    var saveDropBehavior = function( )
    {
        $( '#refreshing' ).show( );
        var mydata =
        {
        };
        $( '.gateway-table-form input' ).each( function( )
        {
            var _v = $.trim( $( this ).val( ) );
            if( _v != '' )
            {
                mydata[ $( this ).attr( 'name' )] = _v;
            }
        } );
        try
        {
            if( !('Name' in mydata) )
            {
                throw 'gateway-profile-error-behavior-name-is-required';
            }
            if( !('SIPCode' in mydata) && !('SIPHeader' in mydata) && !('ISDNCause' in mydata) )
            {
                throw 'gateway-profile-error-behavior-not-configured';
            }
            if( ('SIPCode' in mydata) )
            {
                sipcode = parseInt( mydata['SIPCode'] );
                if( isNaN( sipcode ) || sipcode < 300 || sipcode > 699 )
                {
                    throw 'gateway-profile-error-behavior-sipcode-out-of-range';
                }
            }
            if( ('ISDNCause' in mydata) )
            {
                isdncause = parseInt( mydata['ISDNCause'] );
                // 133 -- kq931cNetworkRestart
                if( isNaN( isdncause ) || isdncause > 133 || isdncause < 0 )
                {
                    throw 'gateway-profile-error-behavior-isdncause-out-of-range';
                }
            }
            $.kajax(
            {
                url : GLOBALAjaxURL + "&ajaxTo=saveDropBehaviorGW",
                dataType : "json",
                type : "POST",
                data : mydata,
                success : function( data )
                {
                    ShowNotice( data.message, data.success );
                    if( data.success )
                    {
                        loadBehaviors( );
                    }
                },
                error : ajaxDefaultError
            } );
        }
        catch( e )
        {
            ShowNotice( ajaxI18N( e ), false );
        }
        $( '#refreshing' ).hide( );
    };
    var initDropBehaviorForm = function( )
    {
        $( '#gateway-profile-behavior-SIPCode' ).mask( '9?99' );
        $( '#gateway-profile-behavior-ISDNCause' ).mask( '9?99' );
        $( '#gateway-profile-behavior-save' ).click( saveDropBehavior );
        $( '#gateway-profile-behavior-back' ).click( loadBehaviors );
        // option help tooltip
        $( '.gateway-tooltip' ).mouseover( function( evt )
        {
            showKhompChanToolTip( evt, ajaxI18N( $( this ).attr( 'khelp' ) ) );
        } );
        $( '.gateway-tooltip' ).mouseout( hideKhompChanToolTip );
    };
    var addDropBehavior = function( )
    {
        $( '#refreshing' ).show( );
        $.kajax(
        {
            url : GLOBALAjaxURL + "&ajaxTo=formDropBehaviorGW",
            dataType : "html",
            success : function( data )
            {
                $( '#formulario .gateway-profile-drop-behavior' ).html( data );
                initDropBehaviorForm( );
                $( '#gateway-profile-notify-behavior' ).hide( );
            },
            error : ajaxDefaultError
        } );
        $( '#refreshing' ).hide( );
    };
    var editDropBehavior = function( )
    {
        $( '#refreshing' ).show( );
        var mydata =
        {
            name : getBehaviorName( $( this ) )
        };
        $.kajax(
        {
            url : GLOBALAjaxURL + "&ajaxTo=formDropBehaviorGW",
            dataType : "html",
            type : "POST",
            data : mydata,
            success : function( data )
            {
                $( '#formulario .gateway-profile-drop-behavior' ).html( data );
                initDropBehaviorForm( );
                $( '#gateway-profile-notify-behavior' ).hide( );
            },
            error : ajaxDefaultError
        } );
        $( '#refreshing' ).hide( );
    };
    var deleteDropBehavior = function( )
    {
        var mydata =
        {
            name : getBehaviorName( $( this ) )
        };
        if( confirm( ajaxI18N( 'gateway-profile-behavior-delete-confirm' ) ) )
        {
            $( '#refreshing' ).show( );
            $.kajax(
            {
                url : GLOBALAjaxURL + "&ajaxTo=deleteDropBehaviorGW",
                dataType : "json",
                type : "POST",
                data : mydata,
                success : deleteBehaviorSuccess,
                error : ajaxDefaultError
            } );
            $( '#refreshing' ).hide( );
        }
    };

    // add/edit/delete buttons
    $( '.gateway-profile-add-drop-behavior' ).click( addDropBehavior );
    $( '.gateway-profile-edit-drop-behavior' ).click( editDropBehavior );
    $( '.gateway-profile-delete-drop-behavior' ).click( deleteDropBehavior );
}

// initialize gateway profile notify behaviors
function initProfileNotifyBehaviorGW( )
{
    // read behavior name from table
    var getBehaviorName = function( elm )
    {
        // img (elm) -> td -> tr -> first td -> text
        return elm.parent( ).parent( ).children( ).first( ).text( );
    };
    // (re)load behaviors main table
    var loadBehaviors = function( )
    {
        changeView( 'showNotifyBehaviorGW', null, 'menu-routing-gw,menu-profiles-gw,menu-profile-behaviors-gw,menu-profile-behavior-notify-gw' );
    };
    // deleted any behavior
    var deleteBehaviorSuccess = function( data )
    {
        ShowNotice( data.message, data.success );
        if( data.success )
        {
            loadBehaviors( );
        }
    };
    var saveNotifyBehavior = function( )
    {
        $( '#refreshing' ).show( );
        var mydata =
        {
        };
        $( '.gateway-table-form input' ).each( function( )
        {
            var _v = $.trim( $( this ).val( ) );
            if( _v != '' )
            {
                mydata[ $( this ).attr( 'name' )] = _v;
            }
        } );
        try
        {
            if( !('Name' in mydata) )
            {
                throw 'gateway-profile-error-behavior-name-is-required';
            }
            if( !('SIPHeader' in mydata) )
            {
                throw 'gateway-profile-error-behavior-sipheader-is-required';
            }
            $.kajax(
            {
                url : GLOBALAjaxURL + "&ajaxTo=saveNotifyBehaviorGW",
                dataType : "json",
                type : "POST",
                data : mydata,
                success : function( data )
                {
                    ShowNotice( data.message, data.success );
                    if( data.success )
                    {
                        loadBehaviors( );
                    }
                },
                error : ajaxDefaultError
            } );
        }
        catch( e )
        {
            ShowNotice( ajaxI18N( e ), false );
        }
        $( '#refreshing' ).hide( );
    };
    var initNotifyBehaviorForm = function( )
    {
        $( '#gateway-profile-behavior-save' ).click( saveNotifyBehavior );
        $( '#gateway-profile-behavior-back' ).click( function( )
        {
            loadBehaviors( );
        } );
        // option help tooltip
        $( '.gateway-tooltip' ).mouseover( function( evt )
        {
            showKhompChanToolTip( evt, ajaxI18N( $( this ).attr( 'khelp' ) ) );
        } );
        $( '.gateway-tooltip' ).mouseout( hideKhompChanToolTip );
    };
    var addNotifyBehavior = function( )
    {
        $( '#refreshing' ).show( );
        $.kajax(
        {
            url : GLOBALAjaxURL + "&ajaxTo=formNotifyBehaviorGW",
            dataType : "html",
            success : function( data )
            {
                $( '#formulario .gateway-profile-notify-behavior' ).html( data );
                initNotifyBehaviorForm( );
                $( '#gateway-profile-drop-behavior' ).hide( );
            },
            error : ajaxDefaultError
        } );
        $( '#refreshing' ).hide( );
    };
    var editNotifyBehavior = function( )
    {
        $( '#refreshing' ).show( );
        var mydata =
        {
            name : getBehaviorName( $( this ) )
        };
        $.kajax(
        {
            url : GLOBALAjaxURL + "&ajaxTo=formNotifyBehaviorGW",
            dataType : "html",
            type : "POST",
            data : mydata,
            success : function( data )
            {
                $( '#formulario .gateway-profile-notify-behavior' ).html( data );
                initNotifyBehaviorForm( );
                $( '#gateway-profile-drop-behavior' ).hide( );
            },
            error : ajaxDefaultError
        } );
        $( '#refreshing' ).hide( );
    };
    var deleteNotifyBehavior = function( )
    {
        var mydata =
        {
            name : getBehaviorName( $( this ) )
        };
        if( confirm( ajaxI18N( 'gateway-profile-behavior-delete-confirm' ) ) )
        {
            $( '#refreshing' ).show( );
            $.kajax(
            {
                url : GLOBALAjaxURL + "&ajaxTo=deleteNotifyBehaviorGW",
                dataType : "json",
                type : "POST",
                data : mydata,
                success : deleteBehaviorSuccess,
                error : ajaxDefaultError
            } );
            $( '#refreshing' ).hide( );
        }
    };

    // add/edit/delete buttons
    $( '.gateway-profile-add-notify-behavior' ).click( addNotifyBehavior );
    $( '.gateway-profile-edit-notify-behavior' ).click( editNotifyBehavior );
    $( '.gateway-profile-delete-notify-behavior' ).click( deleteNotifyBehavior );
}

// initialize the license manager inside admin
function initLicenseManager( )
{
    $( '.license-manager-row' ).each( function( idx, elm )
    {
        $( elm ).click( function( ev )
        {
            var id = '#license-manager-row-' + $.trim( $( this ).children( ).first( ).text( ) );
            $( id ).toggle( );
        } );
    } );
    $( '.license-manager-download' ).each( function( idx, elm )
    {
        $( elm ).click( function( ev )
        {
            window.open( GLOBALAjaxURL + '&location=downloadLicense&name=' + $( this ).attr( 'name' ) );
            ev.stopPropagation( );
        } );
    } );
    $( '.license-manager-delete' ).each( function( idx, elm )
    {
        $( elm ).click( function( ev )
        {
            if( ajaxConfirm( 'license-manager-delete-confirm' ) )
            {
                var _img = $( this );
                $.kajax(
                {
                    url : GLOBALAjaxURL + '&ajaxTo=deleteLicense',
                    data :
                    {
                        'name' : $( this ).attr( 'name' )
                    },
                    dataType : 'json',
                    type : 'POST',
                    success : function( data )
                    {
                        $( '#refreshing' ).hide( );
                        if( data.success )
                        {
                            //TODO: reload license table
                            _img.parent( ).parent( ).next( ).remove( );
                            _img.parent( ).parent( ).remove( );
                            ShowNotice( data.message, true );
                        }
                        else
                        {
                            ShowNotice( data.message, false );
                        }
                    },
                    error : ajaxDefaultError
                } );
            }
            ev.stopPropagation( );
        } );
    } );
    $( '#license-manager-upload' ).ajaxForm(
    {
        dataType : 'json',
        beforeSend : function( )
        {
            disableButton( 'license-manager-upload input[type="submit"]' );
            var _submit = $( '#license-manager-upload input[type="submit"]' );
            _submit.prop( 'disabled', true );
            $( '#refreshing' ).show( );
        },
        complete : function( )
        {
            var _submit = $( '#license-manager-upload input[type="submit"]' );
            _submit.prop( 'disabled', false );
            enableButton( 'license-manager-upload input[type="submit"]' );
        },
        success : function( data )
        {
            $( '#refreshing' ).hide( );
            if( data.success )
            {
                ShowNotice( data.message, true );
                //TODO: reload license table
                window.location.reload( );
            }
            else
            {
                ShowNotice( data.message, false );
            }
        }
    } );
}

function initAuditGW( )
{
    // get route name from checkbox table
    var getAuditRouteName = function( elm )
    {
        return $( elm ).parent( ).next( ).text( );
    };
    var auditAjaxSuccess = function( data )
    {
        ShowNotice( data.message, data.success );
        changeView( 'showAuditGW', null, 'menu-routing-gw,menu-audit-gw' );
    };
    //@formatter:off
    /*
    $( "#gateway-audit-enable" ).change( function( ev )
    {
        var disabled = !$( this ).is( ':checked' );
        $( "#gateway-audit-start" ).prop( 'disabled', disabled );
        $( "#gateway-audit-end" ).prop( 'disabled', disabled );
        $( ".gateway-audit-route" ).each( function( idx, elm )
        {
            $( elm ).prop( 'disabled', disabled );
        } );
    } );
    $( "#gateway-audit-start" ).mask( "99/99/9999 99:99" );
    $( "#gateway-audit-start-now" ).click( function( ev )
    {
        var now = new Date( );
        var mynumberformat = function( number, size )
        {
            var tmp = new String( number );
            if( tmp.length < size )
            {
                tmp = new Array( ( size - tmp.length ) + 1 ).join( "0" ) + tmp;
            }
            return tmp;
        };

        //formatter:off
        $( "#gateway-audit-start" ).val(
            mynumberformat( now.getDay(), 2 )
            + "/"
            + mynumberformat( now.getMonth() + 1, 2 )
            + "/"
            + mynumberformat( now.getFullYear(), 4 )
            + " "
            + mynumberformat( now.getHours(), 2 )
            + ":"
            + mynumberformat( now.getMinutes(), 2 )
        );
        //formatter:on
    } );
    */
   //@formatter:on
    // load/unload tooltips
    $( '.gateway-tooltip' ).mouseover( function( event )
    {
        showKhompChanToolTip( event, ajaxI18N( $( this ).attr( 'id' ) ) );
    } );
    $( '.gateway-tooltip' ).mouseout( hideKhompChanToolTip );
    // select and remove all routes
    $( '#gateway-audit-select-all-routes' ).click( function( evt )
    {
        $( ".gateway-audit-route" ).each( function( idx, elm )
        {
            $( elm ).attr( 'checked', true );
        } );
    } );
    $( '#gateway-audit-remove-all-routes' ).click( function( evt )
    {
        $( ".gateway-audit-route" ).each( function( idx, elm )
        {
            $( elm ).attr( 'checked', false );
        } );
    } );
    // route table sorting
    $( '#gateway-audit-routes' ).tablesorter(
    {
        cssAsc : 'tablesorter-asc',
        cssDesc : 'tablesorter-desc',
        cssHeader : 'tablesorter-undefined',
        headers :
        {
            0 :
            {
                sorter : false
            }
        },
        sortList : [[1, 0]]
    } );
    // enable button
    $( '#gateway-audit-enable' ).click( function( ev )
    {
        var mydata =
        {
            End : $( '#gateway-audit-end' ).val( ),
            WholeCall : $( '#gateway-audit-whole-call' ).is(':checked'),
            Routes : []
        };
        try
        {
            $( '#gateway-audit-routes input[class~="gateway-audit-route"]:checked' ).each( function( idx, elm )
            {
                mydata.Routes.push( getAuditRouteName( elm ) );
            } );
            if( mydata.Routes.length == 0 )
            {
                throw 'gateway-audit-error-no-route-selected';
            }
            console.log( "%o", mydata );
            $( '#refreshing' ).show( );
            $.ajax(
            {
                url : GLOBALAjaxURL + "&ajaxTo=enableAuditGW",
                data : mydata,
                dataType : 'json',
                type : 'POST',
                success : auditAjaxSuccess,
                error : ajaxDefaultError
            } );
        }
        catch( e )
        {
            ShowNotice( ajaxI18N( e ), false );
        }
        $( '#refreshing' ).hide( );
    } );
    // disable button
    $( '#gateway-audit-disable' ).click( function( ev )
    {
        $.ajax(
        {
            url : GLOBALAjaxURL + "&ajaxTo=disableAuditGW",
            dataType : 'json',
            type : 'POST',
            success : auditAjaxSuccess,
            error : ajaxDefaultError
        } );
    } );
    // enable/disable fields
    //$( "#gateway-audit-enable" ).change( );
}
