<?php
    @session_start( );

    $AjaxFunctions['operationLink'] = 'operationLink';
    $AjaxFunctions['viewVariations'] = 'viewVariations';
    $AjaxFunctions['getRefreshDelayTESTE'] = 'getRefreshDelayTESTE';

    function operationLink( $_REQUEST )
    {
		require_once 'querist.php';
        $serial = isset( $_REQUEST['serial'] ) ? $_REQUEST['serial'] : NULL;
        $link = isset( $_REQUEST['link'] ) ? $_REQUEST['link'] : NULL;
        $operation = isset( $_REQUEST['operation'] ) ? $_REQUEST['operation'] : NULL;

        if( isset( $serial ) && isset( $link ) && isset( $operation ) )
        {
            switch ($operation)
            {
                case 'restart':
                    $query_reset = sprintf( 'CMD k3l.ResetLink.%s.%s', $serial, $link );
                    Querist::ask( $query_reset, $ret );
                    return $ret == "Executed" ? true : false;

                case 'block':
                    $query_block = sprintf( 'CMD k3l.BlockLink.%s.%s', $serial, $link );
                    Querist::ask( $query_block, $ret );
                    return $ret == "Executed" ? true : false;

                default:
                    $query_clear = sprintf( 'CMD k3l.ClearLinkErrorCounter.%s.%s', $serial, $link );
                    Querist::ask( $query_clear, $ret );
                    return $ret == "Executed" ? true : false;
            }
        }
    }

    function viewVariations( $_REQUEST )
    {
        Global $sistema;

        $link = isset( $_REQUEST['link'] ) ? $_REQUEST['link'] : NULL;
        $serial = isset( $_REQUEST['serial'] ) ? $_REQUEST['serial'] : NULL;
        $deviceList = $_SESSION['DeviceList'];

        $buff = '';
        if( isset( $link ) && isset( $serial ) && isset( $deviceList ) )
        {

            $buff .= '<div id="variations-header" >' . $serial . $link . '</div>';
            $buff .= '<div id="close" onclick="hideDiv();"> x </div>';

            $buff .= '<table class="tabelaDetalhes zebra" border="1"><thead>';
            $buff .= '<tr><th>' . $sistema->retTranslate( 'variations' ) . '</th>';
            $buff .= '<th>' . $sistema->retTranslate( 'count' ) . '</th></tr></thead><tbody>';

            for( $i = 0; $i < count( $deviceList ); $i++ )
            {
                if( $deviceList[$i]['serial'] == $serial )
                {
                    $variations = $deviceList[$i]['links'][$link]['variations'];
                    foreach( $variations as $k => $v )
                    {
                        $buff .= '<tr><td width="175px">';
                        $buff .= $sistema->retTranslate( $k );
                        $buff .= '</td><td>' . $v . '</td></tr>';
                    }
                }
            }
            $buff .= '</tbody></table>';
            return $buff;
        }
    }
?>