<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN http://www.w3.org/TR/html4/strict.dtd">
<html>
    <head>
        <title>KWebMonitor</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
        <link rel="stylesheet" type="text/css" media="screen" href="{$MODULO}/estilos/kwebmonitor.css?{$KWEBMONITOR_CSS_TS}">
        <link rel="stylesheet" type="text/css" media="screen" href="{$MODULO_PAI}/js/geral.css?{$GERAL_CSS_TS}">
        <link href="{$MODULO_PAI}/imagens/khomp.ico" rel="shortcut icon">

        {$JS_CONFLICT}

        <script type="text/javascript" src="{$MODULO_PAI}/js/jquery/jquery.min.js?{$JQUERY_JS_TS}"></script>
        <script type="text/javascript" src="{$MODULO_PAI}/js/geral.js?{$GERAL_JS_TS}"></script>
        <script type="text/javascript" src="{$MODULO}/js/util.js?{$UTIL_JS_TS}"></script>
        <script type="text/javascript" src="{$MODULO}/js/kwebmonitor.js?{$KWEBMONITOR_JS_TS}"></script>

        <script type="text/javascript">
            var SO = '{$SO}';
            var desvioX = '{$DESVIO_X}';
            var desvioY = '{$DESVIO_Y}';
        </script>

    </head>
    <body onload="getRefreshDelay('{$JSmodule}');">
        <table align="center" width="100%" cellspacing="0" cellpadding="0" border="0">
            <tr class="green-bar">
                <td align="center"><img src="{$MODULO_PAI}/imagens/verde-topo.jpg"></td>
            </tr>
            <tr>
                <td>
                    <div id="khomp">
                        {$TOP}

                        <div class="botoes">
                            <input id='devices-button' value='{$DEVICES}' onclick="window.location = 'index.php?location=devices';colorMe(this.id);" type='button' />
                            <input id="links-button" value="{$LINKS}" onclick="window.location = 'index.php?location=links';colorMe(this.id);" type="button" />
                            <input id="channels-button" value="{$CHANNELS}" onclick="window.location = 'index.php?location=channels';colorMe(this.id);" type="button" />
                            <input id="services-button" value="{$SERVICES}" onclick="window.location = 'index.php?location=services';colorMe(this.id);" type="button" />
                        </div>
                        <div id="refreshNow">
                            <img src="{$MODULO_PAI}/imagens/refresh.png" class="cursorHand" title="{$REFRESH}" onclick="updateData{$MODULE}(true);"/>
                        </div>
                        <div id="divRefreshDelay">
                            {$REFRESH_DELAY}
                            <select id="refreshDelay" onchange="setRefreshDelay(this.value,'{$MODULE}');">
                                <option {$SEL_NOT_REFRESH} value="0">{$NOT_REFRESH}</option>
                                <option {$SEL_DELAY1} value="1">{$DELAY1}</option>
                                <option {$SEL_DELAY2} value="5">{$DELAY2}</option>
                                <option {$SEL_DELAY3} value="30">{$DELAY3}</option>
                            </select>
                            <img src="{$MODULO_PAI}/imagens/on.png" id="monitoring-on" style="display: none;"  />
                            <img src="{$MODULO_PAI}/imagens/off.png" id="monitoring-off" />
                        </div>
                        <br/>
                        <fieldset class="fieldsetConteudo">
                            <legend>
                                {$LEGEND}
                            </legend>
                            <center>
                                    <br />
                                    <div id="popup"></div>
                                    <div id='saved_notice'>
                                        <span>message</span>
                                    </div>
                                    <div id="services">
                                        {$CONTENT}
                                    </div>
                                    </br>
                                    <div id="exibicao"></div>
                                    <input type="hidden" value="false" id="ctrlMonitoracao" />
                                    <div id="divRefresh">
                                        <img src="{$MODULO_PAI}/imagens/refreshing.gif" style="display: none;" id="refreshing" border="0"/>
                                    </div>
                            </center>
                        </fieldset>
                        {$FOOTER}
                    </div>
                </td>
            </tr>
        </table>
    </body>
</html>