/* Khomp Ajax plugin to add a handdle to 401 redirect response  when user's session is expired.
*/
(function ($)
{
    $.fn.kajax = function( v )
    {
        v.statusCode = { 401 : function() { window.location = '/?error=Kerr3'; } };
        jQuery.ajax( v );
    };
})(jQuery);
$.kajax = $.fn.kajax;
/* end of Khomp Ajax plugin */

var GLOBALAjaxURL = "index.php?rawmode=yes&menu=khomp";

// old browser compatibility
if( typeof Object.keys != 'function' )
{
    Object.keys = function( obj )
    {
        var keys = [], k;
        for( k in obj )
        {
            if( Object.prototype.hasOwnProperty.call( obj, k ) )
                keys.push( k );
        }
        return keys;
    };
}

function changeSystemLanguage( lang )
{
    var url = document.URL;

    var cerq = url.indexOf( '#' );
    if( cerq > 0 )
        url = url.substring( 0, cerq );

    var index = url.indexOf( 'language=' );
    if( index > -1 )
    {
        language = url.substring( index, index + 14 );
        window.location = url.replace( language, 'language=' + lang );
    }
    else
    {
        var php = url.indexOf( '.php=' );
        if( index < 0 )
        {
            if( url.indexOf( '?' ) > 0 )
                window.location = url + '&language=' + lang;
            else
                window.location = url + '?language=' + lang;
        }
        else
        {
            var size = url.length;
            if( url.substring( size - 9, size ) == 'index.php' )
                window.location = url + '?language=' + lang;
            else
                window.location = url + '&language=' + lang;
        }
    }
}

function ajaxPrompt( word )
{
    var retorno = '';
    jQuery.kajax(
    {
        url : GLOBALAjaxURL,
        data : "ajaxTo=I18N&word=" + word,
        dataType : "text",
        async : false,
        success : function( ret )
        {
            retorno = prompt( ret );
        }
    } );
    return retorno;
}

function ajaxConfirm( word )
{
    var retorno = '';
    jQuery.kajax(
    {
        url : GLOBALAjaxURL,
        data : "ajaxTo=I18N&word=" + word,
        dataType : "text",
        async : false,
        success : function( ret )
        {
            retorno = confirm( ret );
        }
    } );
    return retorno;
}

function ajaxAlert( word, success )
{
    success = success == null ? false : success;
    ShowNotice( ajaxI18N(word), success );
}

function ajaxI18N( word )
{
    var retorno = '';
    jQuery.kajax(
    {
        data : "ajaxTo=I18N&word=" + word,
        url : GLOBALAjaxURL,
        dataType : "text",
        async : false,
        success : function( ret )
        {
            retorno = ret;
        }
    } );
    return retorno;
}

function ShowNotice( strText, success, timeout )
{
    success = (success == null) ? false :  success;

    if( success )
        $( '#saved_notice' ).removeClass('saved_notice_error').addClass('saved_notice_success');
    else
        $( '#saved_notice' ).removeClass('saved_notice_success').addClass('saved_notice_error');

    timeout = (timeout > 0 ) ? timeout : 1000;
    var savedNotice = $( "#saved_notice" ).stop( ).css( 'opacity', '1.0' ).hide( );
    $( "#saved_notice span:first" ).html( strText );

    if( strText.length > 75 )
        $( '#saved_notice span' ).addClass( 'line-height50');
    else
        $( '#saved_notice span' ).addClass( 'line-height100');

    savedNotice.fadeIn( 300 );
    savedNotice.delay( timeout );
    savedNotice.fadeOut( 1000 );
}

function onlyIntegerNumbers( event )
{
    var key;
    var keychar;
    key = event.keyCode;
    keychar = String.fromCharCode( key );

    if( (key == null) || (key == 0) || (key == 8) || (key == 9) || (key == 13) || (key == 27) || (key == 46) || (key > 34 && key < 41) || (key == 46) || (key > 95 && key < 106) )
        return true;
    else if( (("0123456789").indexOf( keychar ) > -1) )
        return true;

    return false;
}

function countElements( obj )
{
    var prop;
    var propCount = 0;
    for( prop in obj )
        propCount++;
    return propCount;
}

function sleep( milliseconds )
{
    var start = new Date( ).getTime( );
    while( (new Date( ).getTime( ) - start) < milliseconds )
    {
        // Do nothing
    }
}

function isNumeric( sText )
{
    var ValidChars = "0123456789.";
    var IsNumber = true;
    var Char;

    for( i = 0; i < sText.length && IsNumber == true; i++ )
    {
        Char = sText.charAt( i );
        if( ValidChars.indexOf( Char ) == -1 )
            IsNumber = false;
    }
    return IsNumber;
}

function showOpenHand(comp)
{
    comp.style.cursor="url('/imagens/openhand.cur'),move";
}

function showCloseHand(comp)
{
    comp.style.cursor="url('/imagens/closedhand.cur'),move";
}
