<?php
    @session_start( );

    $AjaxFunctions['showKhompChanPerfilForm'] = 'showKhompChanPerfilForm';
    $AjaxFunctions['showKhompChanGroups'] = 'showKhompChanGroups';
    $AjaxFunctions['showKhompChanCadences'] = 'showKhompChanCadences';
    $AjaxFunctions['showKhompFxsBranches'] = 'showKhompFxsBranches';
    $AjaxFunctions['showKhompHotlines'] = 'showKhompHotlines';
    $AjaxFunctions['printKhompOptions'] = 'printKhompOptions';

    function showKhompChanPerfilForm( $_REQUEST )

    {
        Global $sistema;
        $buff = '';
        $Kconf_arr = loadKhompConfig( );
        $chs = array_keys( $Kconf_arr['sessions']['channels']['session'] );

        $buff = "";
        $buff .= "<fieldset><legend>" . $sistema->retTranslate( 'general' ) . "</legend>";
        $buff .= "<span id='KhompChanPerfil'>";
        $buff .= "<table class='zebra' id='tableKhompChanPerfil'><thead>";
        $buff .= "<tr><th width='25%'>" . $sistema->retTranslate( 'name' ) . "</th>";
        $buff .= "<th width='50%'>" . $sistema->retTranslate( 'description' ) . "</th>";
        $buff .= "<th width='25%'>" . $sistema->retTranslate( 'operation' ) . "</th>";
        $buff .= "</tr></thead><tbody>";

        $i = 0;

        foreach( $chs as $ch )
        {
            $buff .= "<tr><td>" . $ch . "</td>";
            $buff .= "<td> " . chanDescription( $ch ) . " </td>";
            $buff .= "<td>";
            $buff .= "<a href='#' onclick=\"javascript: editKhompChanPerfil('" . $ch . "');\">" . $sistema->retTranslate( 'edit' ) . "</a>";
            $buff .= " - <a href='#' onclick=\"javascript: preCopyKhompChanPerfil('" . $ch . "');\">" . $sistema->retTranslate( 'Novo' ) . "</a>";
            if( $ch != 'channels' )
                $buff .= " - <a href='#' onclick=\"javascript: deleteKhompChanPerfilConfirmation('" . $ch . "');\">" . $sistema->retTranslate( 'remove' ) . "</a>";
            $buff .= "</td>";
            $buff .= "</tr>";
            $i++;
        }
        $buff .= "</tbody></table>";
        $buff .= "</span>";
        $buff .= "</fieldset>";

        return $buff;
    }

    function showKhompChanGroups( $_REQUEST )
    {
        Global $sistema, $_SESSION;

        $Kconf_arr = loadKhompConfig( );
        $Gps = $Kconf_arr['sessions']['geral']['session']['groups'];

        $buff = "";
        $buff .= "<fieldset><legend>" . $sistema->retTranslate( 'groups' ) . "</legend>";
        $buff .= "<span id='KCGroups'>";
        $buff .= "<table class='zebra' id='tableKCGroups' ><thead>";

        $i = 0;
        $groups = array( );
        if( isset( $Gps['var'] ) )
            $groups = $Gps['var'];

        $groupsSize = sizeof( $groups );
        $groupsVars = array_keys( $groups );

        if( $groupsSize > 0 )
        {
            $buff .= "<tr><th width='40%'>" . $sistema->retTranslate( 'name' ) . "</th>";
            $buff .= "<th width='40%'>" . $sistema->retTranslate( 'Expression' ) . "</th>";
            $buff .= "<th width='20%'>" . $sistema->retTranslate( 'operation' ) . "</th>";
            $buff .= "</tr></thead><tbody>";
        }

        for( $i = 0; $i < $groupsSize; $i++ )
        {
            $buff .= "<tr><td width='33%'>" . $groups[$groupsVars[$i]]['name'] . "</td>";
            $buff .= "<td width='33%'>" . $groups[$groupsVars[$i]]['value'] . "</td>";
            $buff .= "<td width='34%'>";
            $buff .= "<a href='#' onclick=\"javascript: editKhompChanGroup('" . $groupsVars[$i] . "');\">" . $sistema->retTranslate( 'edit' ) . "</a>";
            $buff .= " - <a href='#' onclick=\"javascript: deleteKhompChanGroupConfirmation('" . $groupsVars[$i] . "');\">" . $sistema->retTranslate( 'remove' ) . "</a>";
            $buff .= "</td></tr>";
        }

        if( $groupsSize == 0 )
            $buff .= "<tr><td>" . $sistema->retTranslate( 'NGroup' ) . "</td></tr>";

        $buff .= "</tbody></table>";
        $buff .= "</span>";
        $buff .= "</fieldset>";
        $buff .= "<br>";
        $buff .= "<input type='button' id='bAddKCGroup' onClick='javascript: addKCGroup();' value='" . $sistema->retTranslate( 'addGroup' ) . "'>";

        return $buff;
    }

    function showKhompChanCadences( )
    {
        Global $sistema, $_SESSION;

        $Kconf_arr = loadKhompConfig( );
        $Cds = $Kconf_arr['sessions']['geral']['session']['cadences'];

        $buff = "";
        $buff .= "<fieldset><legend>" . $sistema->retTranslate( 'Cadences' ) . "</legend>";
        $buff .= "<span id='KCCadence'>";
        $buff .= "<table class='zebra' id='tableKCCadence'><thead>";

        $i = 0;
        $cadences = array( );
        if( isset( $Cds['var'] ) )
            $cadences = $Cds['var'];

        $cadenceSize = sizeof( $cadences );
        $cadenceVars = array_keys( $cadences );

        if( $cadenceSize > 0 )
        {
            $buff .= "<tr>";
            $buff .= "<th width='30%'>" . $sistema->retTranslate( 'Name' ) . "</th>";
            $buff .= "<th width='50%'>" . $sistema->retTranslate( 'ConfiguracaoTons' ) . "</th>";
            $buff .= "<th width='20%'>" . $sistema->retTranslate( 'operation' ) . "</th>";
            $buff .= "</tr></thead><tbody>";
        }

        for( $i = 0; $i < $cadenceSize; $i++ )
        {
            $buff .= "<tr><td width='30%'>" . $cadences[$cadenceVars[$i]]['name'] . "</td>";
            $buff .= "<td width='50%'>" . $cadences[$cadenceVars[$i]]['value'] . "</td>";
            $buff .= "<td width='20%'>";
            $buff .= "<a href='#' onclick=\"javascript: editKhompChanCadence('" . $cadenceVars[$i] . "');\">" . $sistema->retTranslate( 'edit' ) . "</a>";
            $buff .= " - <a href='#' onclick=\"javascript: deleteKhompChanCadenceConfirmation('" . $cadenceVars[$i] . "');\">" . $sistema->retTranslate( 'remove' ) . "</a>";
            $buff .= "</td></tr>";
        }

        if( $cadenceSize == 0 )
        {
            $buff .= "<tr><td>" . $sistema->retTranslate( 'NCadence' ) . "</td></tr>";
        }

        $buff .= "</tbody></table>";
        $buff .= "</span>";
        $buff .= "</fieldset>";
        $buff .= "<br>";
        $buff .= "<input type='button' id='bAddKCCadence' onClick=\"javascript: addKCCadence();\"value=\"" . $sistema->retTranslate( 'addCadence' ) . "\">";

        return $buff;
    }

    function showKhompFxsBranches( $_REQUEST )
    {
        Global $sistema;

        $Kconf_arr = loadKhompConfig( );
        $FxsBranches = $Kconf_arr['sessions']['geral']['session']['fxs-branches'];

        $buff = "";
        $buff .= "<fieldset><legend>" . $sistema->retTranslate( 'FxsBranches' ) . "</legend>";
        $buff .= "<span id='KCFBranche'>";
        $buff .= "<table class='zebra' id='tableKCFBranches' ><thead>";

        $i = 0;
        $FBranches = array( );
        if( isset( $FxsBranches['var'] ) )
            $FBranches = $FxsBranches['var'];

        $FBranchesSize = sizeof( $FBranches );
        $FBranchesVars = array_keys( $FBranches );

        if( $FBranchesSize > 0 )
        {
            $buff .= "<tr><th width='40%'>" . $sistema->retTranslate( 'Branches' ) . "</th>";
            $buff .= "<th width='40%'>" . $sistema->retTranslate( 'Serial' ) . "</th>";
            $buff .= "<th width='20%'>" . $sistema->retTranslate( 'operation' ) . "</th>";
            $buff .= "</tr></thead><tbody>";
        }

        for( $i = 0; $i < $FBranchesSize; $i++ )
        {
            $buff .= "<tr>";
            $buff .= "<td width='40%'>" . $FBranches[$FBranchesVars[$i]]['name'] . "</td>";
            $buff .= "<td width='40%'>" . $FBranches[$FBranchesVars[$i]]['value'] . "</td>";
            $buff .= "<td width='20%'>";
            $buff .= "<a href='#' onclick=\"javascript: editKhompChanFBranches('" . $FBranchesVars[$i] . "');\">" . $sistema->retTranslate( 'edit' ) . "</a>";
            $buff .= " - <a href='#' onclick=\"javascript: deleteKhompChanFBranchesConfirmation('" . $FBranchesVars[$i] . "');\">" . $sistema->retTranslate( 'remove' ) . "</a>";
            $buff .= "</td>";
            $buff .= "</tr>";
        }

        if( $FBranchesSize == 0 )
            $buff .= "<tr><td>" . $sistema->retTranslate( 'NFBranche' ) . "</td></tr>";

        $buff .= "</tbody></table>";
        $buff .= "</span>";
        $buff .= "</fieldset>";
        $buff .= "<br>";
        $buff .= "<input type='button' id='bAddKCFBranche' onClick=\"javascript: addKCFBranche();\"value=\"" . $sistema->retTranslate( 'addFBranche' ) . "\">";

        return $buff;
    }

    function showKhompHotlines( $_REQUEST )
    {
        Global $sistema, $_SESSION;

        $Kconf_arr = loadKhompConfig( );
        $FxsHotlines = $Kconf_arr['sessions']['geral']['session']['fxs-hotlines'];

        $buff = "";
        $buff .= "<fieldset><legend>" . $sistema->retTranslate( 'FxsHotlines' ) . "</legend>";
        $buff .= "<span id='KCFHotline'>";
        $buff .= "<table class='zebra' id='tableKCFHotline'><thead>";

        $i = 0;
        $FHotlines = array( );
        if( isset( $FxsHotlines['var'] ) )
            $FHotlines = $FxsHotlines['var'];

        $FHotlinesSize = sizeof( $FHotlines );
        $FHotlinesVars = array_keys( $FHotlines );

        if( $FHotlinesSize > 0 )
        {
            $buff .= "<tr><th width='20%'>" . $sistema->retTranslate( 'Branches' ) . "</th>";
            $buff .= "<th width='65%'>" . $sistema->retTranslate( 'Number' ) . "</th>";
            $buff .= "<th width='15%'>" . $sistema->retTranslate( 'operation' ) . "</th>";
            $buff .= "</tr></thead><tbody>";
        }

        for( $i = 0; $i < $FHotlinesSize; $i++ )
        {
            $buff .= "<tr><td width='16%'>" . $FHotlines[$FHotlinesVars[$i]]['name'] . "</td>";
            $buff .= "<td width='64%'>" . $FHotlines[$FHotlinesVars[$i]]['value'] . "</td>";
            $buff .= "<td width='20%'>";
            $buff .= "<a href='#' onclick=\"javascript: editKhompChanFHotlines('" . $FHotlinesVars[$i] . "');\">" . $sistema->retTranslate( 'edit' ) . "</a>";
            $buff .= " - <a href='#' onclick=\"javascript: deleteKhompChanFHotlinesConfirmation('" . $FHotlinesVars[$i] . "');\">" . $sistema->retTranslate( 'remove' ) . "</a>";
            $buff .= "</td></tr>";
        }

        if( $FHotlinesSize == 0 )
            $buff .= "<tr><td>" . $sistema->retTranslate( 'NFHotlines' ) . "</td></tr>";

        $buff .= "</tbody></table>";
        $buff .= "</span>";
        $buff .= "</fieldset>";
        $buff .= "<br>";
        $buff .= "<input type='button' id='bAddKCFHotline' onClick=\"javascript: addKCFHotline();\"value=\"" . $sistema->retTranslate( 'addFHotline' ) . "\">";

        return $buff;
    }

    function printKhompOptions( $_REQUEST )
    {
        Global $sistema, $_SESSION;

        $Kconf_arr = loadKhompConfig( );
        $FxsOptions = $Kconf_arr['sessions']['geral']['session']['fxs-options'];

        $buff = "";
        $buff .= "<fieldset><legend>" . $sistema->retTranslate( 'FxsOptions' ) . "</legend>";
        $buff .= "<span id='KCFOption'>";
        $buff .= "<table class='zebra' id='tableKCFOption'><thead>";

        $i = 0;
        $FOptions = array( );
        if( isset( $FxsOptions['var'] ) )
            $FOptions = $FxsOptions['var'];

        $FOptionsSize = sizeof( $FOptions );
        $FOptionsVars = array_keys( $FOptions );

        if( $FOptionsSize > 0 )
        {
            $buff .= "<tr><th width='20%'>" . $sistema->retTranslate( 'Branches' ) . "</th>";
            $buff .= "<th width='65%'>" . $sistema->retTranslate( 'options' ) . "</th>";
            $buff .= "<th width='15%'>" . $sistema->retTranslate( 'operation' ) . "</th>";
            $buff .= "<tr></thead><tbody>";
        }

        for( $i = 0; $i < $FOptionsSize; $i++ )
        {
            $buff .= "<tr><td width='20%'>" . $FOptions[$FOptionsVars[$i]]['name'] . "</td>";
            $buff .= "<td width='65%'>";

            $value = explode( '|', $FOptions[$FOptionsVars[$i]]['value'] );
            $aux = 0;
            foreach( $value as $v )
            {
                $buff .= $v . '|';
                if( $aux == 2 )
                {
                    $buff .= '<br>';
                    $aux = 0;
                }
                else
                    $aux++;
            }
            $buff .= "</td>";
            $buff .= "<td width='15%'>";
            $buff .= "<a href='#' onclick=\"javascript: editKhompChanFOptions('" . $FOptionsVars[$i] . "');\">" . $sistema->retTranslate( 'edit' ) . "</a>";
            $buff .= " - <a href='#' onclick=\"javascript: deleteKhompChanFOptionsConfirmation('" . $FOptionsVars[$i] . "');\">" . $sistema->retTranslate( 'remove' ) . "</a>";
            $buff .= "</td>";
            $buff .= "</tr>";
        }

        if( $FOptionsSize == 0 )
            $buff .= "<tr><td>" . $sistema->retTranslate( 'NFOptions' ) . "</td></tr>";

        $buff .= "</tbody></table>";
        $buff .= "</span>";
        $buff .= "</fieldset>";
        $buff .= "<br>";
        $buff .= "<input type='button' id='bAddKCFOption' onClick=\"javascript: addKCFOption();\"value=\"" . $sistema->retTranslate( 'addFOption' ) . "\">";

        return $buff;
    }

    //************** aux functions *******************//
    function loadKhompConfig( )
    {

        $fileContent = file( 'C:\\khomp.conf' );
        $sessionName = '';
        $varName = '';

        $Kconf_arr = array( );

        for( $x = 0; $x < sizeof( $fileContent ); $x++ )
        {
            if( @ereg( "\[", $fileContent[$x] ) && $fileContent[$x][0] != ';' )
            {
                //sessao
                $sessionName = explode( "]", $fileContent[$x] );
                $sessionName = explode( "[", $sessionName[0] );
                $sessionName = $sessionName[1];
                if( @ereg( 'channels', $sessionName ) )
                    $sessionLocal = 'channels';
                else
                    $sessionLocal = 'geral';
                $varName = '';

                $Kconf_arr['sessions'][$sessionLocal]['session'][$sessionName]['name'] = $sessionName;

            }
            elseif( @ereg( "=", $fileContent[$x] ) && $fileContent[$x][0] != ';' )
            {
                //variavel
                $varName = explode( "=", $fileContent[$x] );
                $value = trim( $varName[1] );
                $varName = trim( $varName[0] );
                $Kconf_arr['sessions'][$sessionLocal]['session'][$sessionName]['var'][$varName]['name'] = $varName;
                $Kconf_arr['sessions'][$sessionLocal]['session'][$sessionName]['var'][$varName]['value'] = $value;
                // $this -> configGeral[$sessionName . '_' . $varName] = $value;

            }
            elseif( $fileContent[$x][0] == ';' || $fileContent[$x] == "\n" )
            {
                if( $sessionName == '' )
                    $Kconf_arr['sessions']['firstComments'][] = trim( $fileContent[$x] );
                elseif( $varName == '' )
                    $Kconf_arr['sessions'][$sessionLocal]['session'][$sessionName]['comments'][] = trim( $fileContent[$x] );
                else
                    $Kconf_arr['sessions'][$sessionLocal]['session'][$sessionName]['var'][$varName]['comments'][] = trim( $fileContent[$x] );
            }
        }
        return $Kconf_arr;
    }

    function addFieldsetToData( $data, $legend, $open )
    {
        $return = "";
        if( $open )
        {
            $this->firstFieldSet = false;
            $disp = "style='display:block'";
            $strPart = "- ";
        }
        else
        {
            $disp = "style='display:none'";
            $strPart = "+ ";
        }
        $return .= "<a href='#' class='collapsePara' onClick='javascript:changeArrow(this);'>" . $strPart . $legend . "</a>";
        $return .= "<fieldset $disp>\n";
        $return .= $data;
        $return .= "</fieldset><br>";
        return $return;
    }

    function putKhompChanToolTip( $component )
    {
        Global $sistema;
        $text = $sistema->retTranslate( 'tooltip-' . $component );
        return "<img src='/imagens/tooltip.png' border='0' onmouseover=\"showKhompChanToolTip(event, '$text');\" onmouseout='hideKhompChanToolTip();' />";
    }

    function chanDescription( $name )
    {
        Global $sistema;

        $toFind = array( "B", "S", "C", "L", "R" );
        if( $name == 'channels' )
            return '-';
        $description = str_replace( 'channels-', '', $name );
        ///(((([bB])[ ]*([0-9]+))|(([sS])[ ]*([0-9]+)))[ ]*(([cClL])[ ]*([0-9]+)[
        // ]*([-][ ]*([0-9]+))?)?)|(([rR])[ ]*([0-9]+)[ ]*([-][ ]*([0-9]+))?)/

        $newNames = explode( "+", strtoupper( $description ) );
        $newDescription = $sistema->retTranslate( 'applyedTo' ) . ":<br>";

        for( $y = 0; $y < sizeof( $newNames ); $y++ )
        {
            $newName = $newNames[$y];
            if( @ereg( "G", $newName ) )
                $groups[] = strtolower( substr( $newName, 1 ) );
            else
            {
                if( @ereg( "S", $newName ) )
                {
                    $sParts = explode( "S", $newName );
                    for( $i = 1; $i < sizeof( $sParts ); $i++ )
                    {
                        $str = $sParts[$i];
                        $ctrLength = strlen( $str );
                        $finalStr = '';
                        for( $x = 0; $x < $ctrLength; $x++ )
                        {
                            if( !in_array( $str[$x], $toFind ) )
                                $finalStr .= $str[$x];
                            else
                                $x = $ctrLength;
                        }
                        $serials[] = $finalStr;
                    }
                }
                if( @ereg( "B", $newName ) )
                {
                    $bParts = explode( "B", $newName );
                    for( $i = 1; $i < sizeof( $bParts ); $i++ )
                    {
                        $str = $bParts[$i];
                        $ctrLength = strlen( $str );
                        $finalStr = '';
                        for( $x = 0; $x < $ctrLength; $x++ )
                        {
                            if( !in_array( $str[$x], $toFind ) )
                                $finalStr .= $str[$x];
                            else
                                $x = $ctrLength;
                        }
                        $boards[] = $finalStr;
                    }
                }
                if( @ereg( "L", $newName ) )
                {
                    $lParts = explode( "L", $newName );
                    for( $i = 1; $i < sizeof( $lParts ); $i++ )
                    {
                        $str = $lParts[$i];
                        $ctrLength = strlen( $str );
                        $finalStr = '';
                        for( $x = 0; $x < $ctrLength; $x++ )
                        {
                            if( !in_array( $str[$x], $toFind ) )
                                $finalStr .= $str[$x];
                            else
                                $x = $ctrLength;
                        }
                        $links[] = $finalStr;
                    }
                }
                if( @ereg( "C", $newName ) )
                {
                    $cParts = explode( "C", $newName );
                    for( $i = 1; $i < sizeof( $cParts ); $i++ )
                    {
                        $str = $cParts[$i];
                        $ctrLength = strlen( $str );
                        $finalStr = '';
                        for( $x = 0; $x < $ctrLength; $x++ )
                        {
                            if( !in_array( $str[$x], $toFind ) )
                                $finalStr .= $str[$x];
                            else
                                $x = $ctrLength;
                        }
                        $channels[] = $finalStr;
                    }
                }
                if( @ereg( "R", $newName ) )
                {
                    $rParts = explode( "R", $newName );
                    for( $i = 1; $i < sizeof( $rParts ); $i++ )
                    {
                        $str = $rParts[$i];
                        $ctrLength = strlen( $str );
                        $finalStr = '';
                        for( $x = 0; $x < $ctrLength; $x++ )
                        {
                            if( !in_array( $str[$x], $toFind ) )
                                $finalStr .= $str[$x];
                            else
                                $x = $ctrLength;
                        }
                        $ramals[] = $finalStr;
                    }
                }
            }
            $start = false;

            for( $i = 0; $i < sizeof( $boards ); $i++ )
                $newDescription .= $sistema->retTranslate( 'Device' ) . " " . $boards[$i] . ' ';

            for( $i = 0; $i < sizeof( $serials ); $i++ )
                $newDescription .= $sistema->retTranslate( 'Serial' ) . " " . $serials[$i] . ' ';

            for( $i = 0; $i < sizeof( $links ); $i++ )
                $newDescription .= $sistema->retTranslate( 'Link' ) . " " . $links[$i] . ' ';

            for( $i = 0; $i < sizeof( $channels ); $i++ )
                $newDescription .= $sistema->retTranslate( 'Channel' ) . " " . $channels[$i] . ' ';

            for( $i = 0; $i < sizeof( $ramals ); $i++ )
                $newDescription .= $sistema->retTranslate( 'Ramal' ) . " " . $ramals[$i] . ' ';

            for( $i = 0; $i < sizeof( $groups ); $i++ )
                $newDescription .= $sistema->retTranslate( 'group' ) . " " . $groups[$i] . ' ';

            $newDescription .= "<br>";

            $boards = array( );
            $serials = array( );
            $channels = array( );
            $links = array( );
            $ramals = array( );
            $groups = array( );
        }

        return $newDescription;
    }
?>